* Categorical versions
// NOTE that this depends on the IF that is used - but easier to define this across all samples
* Can just use XTILE for the C_JEM2a vars, as not looking at changes over time
unab JEMvars: JEM*
foreach JEMvar in `JEMvars'	{
	if "`JEMvar'"~="JEMP3"		xtile `JEMvar't = `JEMvar' if ${if1}, nquant(3)		// JEMP3 has no observations
	if "`JEMvar'"~="JEMP3"		label var `JEMvar't "Tertiles of `JEMvar'"
	/**/					}
gen JEMoccS2 = (JEMC2t==1 & JEMD2t==3) if JEMC2<. & JEMD2<.
	label var JEMoccS2 "S from interaction at the occ level, using JEMC2t & JEMD2t"

	
	
// Hypothetical categorical versions if control in 1992 was the same as in 2006
* Getting the change in Demands and Control 1992 to 2006
preserve
	clear
	insheet using "$JEMdir/JEM_fixed_cleaned.csv", comma case
	keep if var1=="order"
	sum C2 if code1==53
		scalar C1992 = r(mean)
	sum C2 if code1==57
		scalar C2006 = r(mean)
	sum D2 if code1==53
		scalar D1992 = r(mean)
	sum D2 if code1==57
		scalar D2006 = r(mean)
restore
* Applying this to the tertiles
preserve
	_pctile JEMC2 if ${if1}, nquant(3)
		global Ccut1 = r(r1)
		global Ccut2 = r(r2)
	_pctile JEMD2 if ${if1}, nquant(3)
		global Dcut1 = r(r1)
		global Dcut2 = r(r2)
	* The hypothetical tertiles if control in 1992 was the same as 2006
	gen JEMC2_2006 = JEMC2 + C1992 if wave==2006
		recode JEMC2_2006 (min/${Ccut1}=1 "1_Low") (${Ccut1}/${Ccut2}=2 "2_Moderate") (${Ccut2}/max=3 "3_High") (miss=.) if ${if1}, gen(JEMC2_2006t)
	gen JEMD2_2006 = JEMD2 + D1992 if wave==2006
		recode JEMD2_2006 (min/${Dcut1}=1 "1_Low") (${Dcut1}/${Dcut2}=2 "2_Moderate")	(${Dcut2}/max=3 "3_High") (miss=.) if ${if1}, gen(JEMD2_2006t)
	* Looking at the change in prevalence of tertiles from 1992 to 2006
	proportion JEMC2*t if wave==2006
		matrix working = e(b)'
		matrix CDshift = working[1..3,1], working[4..6,1]
	proportion JEMD2*t if wave==2006
		matrix working = e(b)'
		matrix CDshift = CDshift, working[1..3,1], working[4..6,1]
		matrix colnames CDshift = Coriginal Cif1992 Doriginal Dif1992
		matrix rownames CDshift = Low Moderate High
	mat2txt, matrix(CDshift) saving("$tabdir\CD2006change.txt") replace
restore
	


