********************************************************	
* Comparing the different scale variables
********************************************************	

// For only looking at one observation per combination of variables
bysort Dgroup: gen Dmark =(_n==1)
	label var Dmark "Marker: 1 value per combination of Demands variables"
bysort Cgroup: gen Cmark =(_n==1)
	label var Cmark "Marker: 1 value per combination of Control variables"


// Normality
unab Dlist: Dfactor1-Dpolypca1
	foreach var in `Dlist'	{
		dis "`var'"
		kdensity `var', normal title("`var' ")
		graph save "$graphdir\\`var'", replace
							}
	cd "$graphdir"
		graph combine Dglam1PL.gph Dglam2PL.gph Dpca1.gph Dpolypca1.gph Dfactor1.gph Dfactor_bt.gph
		graph export "$graphdir\Demands_kdensity.png", replace
		cd "$workingdir"
unab Clist: Cfactor1-Cpolypca1
	foreach var in `Clist'	{
		dis "`var'"
		kdensity `var', normal title("`var' ")
		graph save "$graphdir\\`var'", replace
							}
	cd "$graphdir"
		graph combine Cglam1PL.gph Cglam2PL.gph Cpca1.gph Cpolypca1.gph Cfactor1.gph Cfactor_bt.gph
		graph export "$graphdir\Control_kdensity.png", replace
		cd "$workingdir"

		
// Correlations
unab Dlist: Dfactor1-Dpolypca1
	corr `Dlist'
	corr `Dlist' if Dmark==1
/*	quietly mean `Dlist', over(Dgroup)
		matrix Dfull_list = e(b)'
		matrix list Dfull_list
*/
unab Clist: Cfactor1-Cpolypca1
	corr `Clist'
	corr `Clist' if Cmark==1
/*	quietly mean `Clist', over(Cgroup)
		matrix Cfull_list = e(b)'
		matrix list Cfull_list
*/		
		
// Scatterplots illustrating the bivariate relationshisp
twoway scatter Dglam2PL Dpolypca1 			if Dmark==1, mlab(Dgroup) m(i)
	bysort Dmark: gen Dmarksubsample = _n 	if Dmark==1
		twoway scatter Dglam2PL Dpolypca1 		if Dmarksubsample<50, mlab(Cgroup) m(i) mlabposition(9)		// Trying to identify particular occs by looking at subsample
twoway scatter Cglam2PL Cglam1PL 			if Cmark==1, mlab(Cgroup) m(i)
	twoway scatter Cglam2PL Cpca1 			if Cmark==1, mlab(Cgroup) m(i)
	twoway scatter Cglam2PL Cpolypca1 		if Cmark==1
	bysort Cmark: gen Cmarksubsample = _n 	if Cmark==1
		twoway scatter Cglam2PL Cpolypca1 		if Cmarksubsample<50, mlab(Cgroup) m(i) mlabposition(9)		// Trying to identify particular occs by looking at subsample
drop ?marksubsample
	
	
	
	
	
	
	
