// IB results, written 8/12/10
/* NOTE: This is exactly the same as BHPS_WLDresults, except:
	- WLD:			Take out sp_wldB under $partnered as this restricts the number of waves available by 4
	- OUTCOME1: 	wldB has been replaced by IBreceipt (FIND+REPLACE) but only AFTER the globals:         
	- OUTCOME2: 	Also change this in the ESTREAD command above the globals
	- OUTCOME3:		Reg 65/66 are hospR in the WLD models and lj_health in the IB models (to test if restricting to the weighted samples is causing a genuinely protective effect) - also change the WEIGHTS table
	- CS/WLD(t0):	Add in reg8 (baseline WLD) but remove reg15 (CS subsample) and reg14 (no baseline WLD) -remembering:
		Comment out all of the reg9 sections
		Ensure that the LIN and STR sections don't run reg9 (for LIN, must take this out of the FOREACH loop)
		Change the tables (comment out the CS table, copy table MISC from previous version, inc remembering to remove *JEM *cs from keep() )
		(See OneNote for discussion of CS subsample analysis)
	- OTHER RED VARLIST: Reg65/66 for lj_health require a reduced varlist for IBresults - hlthvars_cs, workvars_small, demvars_wts
	- SRCLASS:		Take out $partnered from reg51 and reg58 (otherwise doesn't converge)
	- BIAS OF WLD AMONG WORKERS:
					For IBreceipt, take out reg18 (inc from table SPEC)
					For IBreceipt, add the different temporalities for the mediation analysis
	- ALT OUTCOME:	wld_amtB and wld_type have been replaced by nonemployR and ltsick + disbens + lj_vars(this needs doing in (i) reg lines (for baseline control); (ii) the command lines of the models; and (iii) the table labelling)
	- ALT OUTCOME2: remove the other outcomes that are used to test specificity , inc in tables
	- BASELINE:		(Note that the baseline IBreceipt/employ/ltsick vars should disappear due to collinearity)
	- MEDIATION requires several further changes:
		Switch $med1 and $med2 from IBreceipt to wldB settings at the top (under globals)
		Relabel the scalars that come out of the program (using FIND+REPLACE):
				ALLeffect 	...becomes...	WLDeffect
				MHonly	    ...becomes...	t1WLDonly
		Add the commented-out ESTTAB line just after bbmed_wldB
END NOTE */

// Allow around 2mins per model + MARGINS, which for the whole file means 2-3hrs
estimates clear
/* To load the estimates, load the dataset and run the globals, as above.  Then run:
	estimates clear 
	use JEM_$filename, replace
	estread * using "$dir/IBreceipt_ests", id(uniqueid) 
END ESTREAD */
											*svyset psu [pweight=wt_allwaves], strata(strata)			// SVY prefix is only for sensitivity analyses, but makes sense to set this at the start
tsset _pid wave
global if1 		"age>=20 & ((Fage<65 & sex==1) | (Fage<60 & sex==2)) & employR==1 & jbsemp==1 & region2<=11 & wave<=2006 & ivfio==1 & Fivfio==1 & pidselect>=0 & pidselect<=1"


// Recoded variables for sensitivity analyses, grouped to avoid separation problems
* The recoded _REGION variable for the allsamples weighted analyses (where some regions currently too small for a rare outcome)
recode _region (1 3=1 "1_NE/Yorkshire") (2=2 "2_NW") (4/5=3 "3_Midlands") (6 9=4 "4_East/SW") (7/8=5 "5_London/SE") (10=10 "10_Wales") (11=11 "11_Scotland"), gen(_region2) 
	label var _region "Region for wt_allsamples analysis, recoded from _region"
* The recoded SIC92_1A variable for other analyses that struggle with sample size problems
recode sic92_1A (1/6=1 "1_Manuf/Agri/Constr") (7/8=2 "2_Retail/HoReCa") (9=3 "3_Transport/storage") (10/11=4 "4_Finance/Real Estate") ///
	(12=5 "5_Public adm") (13=6 "6_Education") (14/15=7 "7_Health/social/community"), gen(sicGRP)
	label var sicGRP "Industry regrouped for small sample analysis, recoded from sic92_1A"
* The recoded hlprb variables for the medation analysis (IBreceipt only)
clonevar hlprbOth = hlprbm
	replace hlprbOth = 1 if hlprbk==1
	label var hlprbOth "health problems: other(hlprbm)+epilepsy(hlprbk)"
clonevar hlprbiR = hlprbi
	replace hlprbiR = 1 if hlprbj==1
	label var hlprbiR "health problems: MH inc addiction (hlprbi + hlprbj)"
* For the wave list
tab wave, gen(waveY)
	
	
// Variable list 
* Base categories (for commands that don't allow factor variables, I need to use XI - and this way, the globals are consistent below)
fvset base 5 agegrp 
	char agegrp[omit] 	5
fvset base 7 _region
	char _region[omit]	7
fvset base 3 sme hoursGRP
	char sme[omit]		3
	char hoursGRP[omit]	3
fvset base 4 jobsat secur_sat
	char jobsat[omit]		4
	char secur_sat[omit]	4
fvset base 14 sic92_1A sic92_1R
	char sic92_1A[omit]	14
	char sic92_1R[omit]	14
fvset base 10 sic80_1
	char sic80_1[omit]	10
* To avoid base category problems in wave (which interferes with ESTTAB)
capture clonevar wave2 = wave
capture clonevar wave3 = wave
capture clonevar wave4 = wave
* Globals
global demvars			"i.agegrp i.sex i.married i.nchildR i._region  bem"
  global demvars_eth	"i.agegrp i.sex i.married i.nchildR i._region  i.ethnicity"													// This is a sensitivity analysis to avoid convergence problems
  global demvars_wts	"i.agegrp i.sex i.married i.nchildR i._region2 "
local lsilist			"hlprba hlprbb hlprbc hlprbd hlprbe hlprbf hlprbg hlprbh hlprbi hlprbj hlprbk hlprbl hlprbm 	hlltaR hlltbR hlltcR hlltdR		hospR"
global hlthvars 		"`lsilist' ghqB"
  global hlthvars_wld	"`lsilist' ghqB														IBreceipt wld_amtB wld_type"			// For IB analyses only
  global hlthvars_sens	"`lsilist'        i.srh hlghq1 llsi i.hl2gp"																// For sensitivity analyses
  global hlthvars_cs 	"hlprba hlprbb hlprbc hlprbd hlprbe hlprbf hlprbg hlprbh hlprbiR 	   		  hlprbl hlprbOth ghqB i.hllt hospR "
global sesvars			"i.maxqual status loginc  i.housing"
  global sesvars_nost	"i.maxqual        loginc  i.housing"
  global sesvars_red	"i.maxqual                i.housing i.money "																// Only gives you one extra wave (as 2008 baseline has no outcome), but lots less missingness
  global sesvars_oth	"i.jobsat i.secur_sat i.jboppsR i.jbmngr"
global workvars			"i.hoursGRP occpenR i.sector tempjob i.sme i.sic92_1A"
  global workvars_sic80	"i.hoursGRP occpenR i.sector tempjob i.sme            i.sic80_1"
  global workvars_sic92	"i.hoursGRP occpenR i.sector tempjob i.sme                      i.sic92_1R"
  global workvars_cs	"i.hoursGRP occpenR 		 tempjob i.sme 									i.sic92_cs"
  global workvars_small	"i.hoursGRP occpenR i.sector tempjob i.sme                                              i.sicGRP"		// For when I get convergence problems due to the small sizes of some industries
global partnervars		"partnered sp_IBreceipt sp_employR"
global waves			"i.wave"						// Note that this must be replaced if 1991 isn't the base year
*sum D_JEM1* C_JEM1* soc00_BB IBreceipt FIBreceipt IBreceipt FIBreceipt $demvars $hlthvars $persvars $workvars $partnervars $policyvars wave ivfio Fivfio if $if1 & soc90_BB<.		// This doesn't account for allvars
// For mediation analyses
global wldB_med			"i.JEMP2t wldB			$demvars $waves $hlthvars 			$workvars 		$partnervars $sesvars_nost"
	local lsi_reduced		"hlprba hlprbb hlprbc hlprbd hlprbe hlprbf hlprbg hlprbh hlprbiR hlprbl hlprbOth hosp i.hllt"
global IBreceipt_med	"i.JEMP2t IBreceipt 	$demvars $waves `lsi_reduced' ghqB 	$workvars_small $partnervars $sesvars_nost"
* Incapacity benefit receipt
global med1 "wldB wld_amtB"
global med2 "FwldB Fwld_amtB"
/* Work-limiting disability
global Fphlth			"Fhlprba Fhlprbb Fhlprbc Fhlprbd Fhlprbe Fhlprbf Fhlprbg Fhlprbh Fhlprbk Fhlprbl Fhlprbm     hlltaR hlltbR hlltdR		hospR"
global Fmhlth			"Fhlprbi Fhlprbj FghqB"
global med1				"$Fphlth"
global med2				"$Fmhlth"
*/

	

///////////////////////////////////////////////////////
// IBreceipt
///////////////////////////////////////////////////////

capture drop allvars
xi: egen allvars  = rowmiss(FIBreceipt IBreceipt $demvars $waves $hlthvars $partnervars $sesvars i.money $sesvars_oth $workvars i.money)


///////////////////////////////////////////////////////
// Estimating and storing the models
* Main models, with controls successively introduced
local reg0   ""
local reg1   "IBreceipt $demvars"
local reg2   "IBreceipt $demvars $waves "
local reg3   "IBreceipt $demvars $waves $hlthvars"
local reg4   "IBreceipt $demvars $waves $hlthvars      $workvars "
local reg5   "IBreceipt $demvars $waves $hlthvars      $workvars $partnervars"
local reg6   "IBreceipt $demvars $waves $hlthvars      $workvars $partnervars $sesvars i.JEMP2t"
	/* See also reg20, which include the SES vars minus status - this is the main specification*/
* Different controls for other table (numbering is because this was added at a later stage)
local reg8   "IBreceipt $demvars $waves $hlthvars_wld  $workvars    $partnervars $sesvars_nost i.JEMP2t"				// Baseline WLD, only for IB analyses	
local reg10  "IBreceipt $demvars $waves $hlthvars_sens $workvars    $partnervars $sesvars_nost i.JEMP2t"				// SRH, activity limitations, LLSI, continuous not binary GHQ
	*local reg14  "     $demvars $waves $hlthvars      $workvars    $partnervars $sesvars_nost i.JEMP2t"				// No baseline WLD (wld only)
	*local reg15  "IBreceipt $demvars $waves $hlthvars_cs   $workvars_cs $partnervars $sesvars_nost"					// Civil Servant subsample
local reg16  "IBreceipt $demvars_eth $waves $hlthvars  $workvars    $partnervars $sesvars_nost i.JEMP2t"				// 5-band ethnicity (not simple BEM)
local reg17  "IBreceipt $demvars $waves $hlthvars  	   $workvars    $partnervars $sesvars_nost i.JEMP2t"				// Excluding temporary sick at baseline
local reg117 "IBreceipt $demvars $waves $hlthvars  	   $workvars    $partnervars $sesvars_nost i.JEMP2t"			// t+2 Excluding temporary sick at baseline
	*local reg18  "wldB $demvars $waves $hlthvars  	  $workvars    $partnervars $sesvars_nost i.JEMP2t"					// Among workers only
local reg19	 "IBreceipt $demvars $waves $hlthvars 	  $workvars    $partnervars $sesvars_nost "							// Interaction of CS with D-C
* Comparing the effect of different SES variables		
local reg20  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost"
local reg21  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars i.maxqual"
local reg22  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars i.money"
local reg23  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars loginc"
local reg24  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars i.housing"
local reg25  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars i.maxqual i.money loginc i.housing"				// Unlike reg20, this also has i.money
local reg26  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.soc90_1R"
local reg27  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.nssec"
local reg28  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost status"
local reg29  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost statusMR statusFR"
local reg30  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.statusGRP"
local reg31  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost camsis"
local reg32  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost CGstatus"
local reg33  "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.nssec_3class"
local reg35	 "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.JEMP2t"							// Physicality added
local reg36	 "IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.JEMP2t paygu"						// Model added at request of JSP reviewer, April 2013
* Additional work controls
local reg50  "IBreceipt $demvars i.wave2 $hlthvars $workvars_small $partnervars $sesvars_nost i.JEMP2t"			// To run if WRKIMP_LAST<.
local reg51  "IBreceipt $demvars i.wave3 $hlthvars $workvars_small              $sesvars_nost i.JEMP2t"			// To run if SRCLASS<.
local reg52	 "IBreceipt $demvars i.wave4 $hlthvars $workvars_small $partnervars $sesvars_nost i.JEMP2t"			// To run if JBSAT3/5<.
local reg53  "IBreceipt $demvars $waves  $hlthvars $workvars 	   $partnervars $sesvars_nost i.JEMP2t i.jobsat"
local reg54  "IBreceipt $demvars $waves  $hlthvars $workvars 	   $partnervars $sesvars_nost i.JEMP2t i.secur_sat"
local reg55  "IBreceipt $demvars $waves  $hlthvars $workvars 	   $partnervars $sesvars_nost i.JEMP2t i.jboppsR i.pay_sat"
local reg56  "IBreceipt $demvars $waves  $hlthvars $workvars 	   $partnervars $sesvars_nost i.JEMP2t i.jbmngr"
local reg57  "IBreceipt $demvars i.wave2 $hlthvars $workvars_small $partnervars $sesvars_nost i.JEMP2t i.wrkimp_last"
local reg58  "IBreceipt $demvars i.wave3 $hlthvars $workvars_small              $sesvars_nost i.JEMP2t i.srclass"
local reg59  "IBreceipt $demvars i.wave4 $hlthvars $workvars_small $partnervars $sesvars_nost i.JEMP2t i.boss_sat i.init_sat"
* Different outcome variables
local reg41	 "disbens	$demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.JEMP2t"		// wld_amtB / disbens
local reg42	 "			$demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.JEMP2t"		// wld_type / ltsick
local reg43	 "lj_health	$demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.JEMP2t"		// llsi / lj_health
local reg44	 "			$demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.JEMP2t"		// hlltaR / nonemployN
local reg45	 "lj_rdndnt	$demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.JEMP2t"		// hl2gp / lj_rdndnt
local reg46	 "lj_sacked	$demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.JEMP2t"		// hospR / lj_sacked
* Models 61-77 are done in a separate section below (weighted analyses and crossed effects)
* The model
forvalues i = 0/117		{
*forvalues i = 35/36		{
	if "`reg`i''"~="" | `i'==0		{
		dis "MAIN: Regression model `i'"
		time
		* Main models
		if `i'< 9 | (`i'>=10 & `i'<40 & `i'~=17 & `i'~=18) | (`i'>=53 & `i'<60) ///
			/*con.*/						eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)
		* Different outcomes
		if `i'==41							eststo IBreceipt_CDm`i': xtlogit 	Fdisbens  		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)		// wld_amt
		if `i'==42							eststo IBreceipt_CDm`i': xtlogit 	Fltsick			i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)		// wld_type	
		if `i'==43							eststo IBreceipt_CDm`i': xtlogit 	Flj_health		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)		// wld_type	
		if `i'==44							eststo IBreceipt_CDm`i': xtlogit 	FnonemployN		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)		// wld_type	
		if `i'==45							eststo IBreceipt_CDm`i': xtlogit 	Flj_rdndnt		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)		// wld_type	
		if `i'==46							eststo IBreceipt_CDm`i': xtlogit 	Flj_sacked		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)		// wld_type	
		* Different subsamples
		if `i'==15							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt  	i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0 & cs==1 & age<60, vce(robust) i(_pid) pa corr(exchangeable)		// CS subsample
		if `i'==17							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0 & tempsick==0	, vce(robust) i(_pid) pa corr(exchangeable)
		if `i'==117							eststo IBreceipt_CDm`i'_F2: xtlogit F2IBreceipt 	i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0 & tempsick==0	///
			/*con*/																								&  ((F2age<65 & sex==1) | (F2age<60 & sex==2)), vce(robust) i(_pid) pa corr(exchangeable)
		if `i'==18							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0 & Femploy==1	, vce(robust) i(_pid) pa corr(exchangeable)
		if `i'==19							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		ib1.JEMC2t##CSnew ib1.JEMD2t##CSnew `reg`i'' if $if1 & allvars==0		, vce(robust) i(_pid) pa corr(exchangeable)		// CS subsample
		if `i'==50							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0 & wrkimp_last<. , vce(robust) i(_pid) pa corr(exchangeable)
		if `i'==51							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0 & srclass<.	 , vce(robust) i(_pid) pa corr(exchangeable)
		if `i'==52							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' if $if1 & allvars==0 & boss_sat<.	 , vce(robust) i(_pid) pa corr(exchangeable)
		if `i'~=19						{
			margins, at(JEMC2t=(1 3)) at(JEMD2t=(1 3)) at(JEMC2t=1 JEMD2t=3) at(JEMC2t=3 JEMD2t=1) at((asobs) _all) predict(mu) post
				local Iworking = 100*_b[7._at]
				estadd scalar incidence = `Iworking', replace			: IBreceipt_CDm`i'
				local Cworking = 100*_b[2._at]							// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
				estadd scalar Clohi_base3 = `Cworking', replace			: IBreceipt_CDm`i'
				local Dworking = 100*_b[3._at]
				estadd scalar Dhilo_base1 = `Dworking', replace			: IBreceipt_CDm`i'
				local Sworking = 100*_b[6._at]
				estadd scalar HiStrLo_base = `Sworking', replace		: IBreceipt_CDm`i'
			// Low vs. high control
			lincom   _b[1._at] - _b[2._at]
				estadd scalar Clohi_mn = 100*r(estimate), replace		: IBreceipt_CDm`i'
				estadd scalar Clohi_se = 100*r(se), replace				: IBreceipt_CDm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
				test _b[1._at] = _b[2._at]
				estadd scalar Clohi_p = r(p), replace					: IBreceipt_CDm`i'
			// High vs Low demands
			lincom   _b[4._at] - _b[3._at]
				estadd scalar Dhilo_mn = 100*r(estimate), replace		: IBreceipt_CDm`i'
				estadd scalar Dhilo_se = 100*r(se), replace				: IBreceipt_CDm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
				test _b[4._at] = _b[3._at]
				estadd scalar Dhilo_p = r(p), replace					: IBreceipt_CDm`i'
			// High vs Low Strain (for comparison to WII analyses)
			lincom   _b[5._at] - _b[6._at]
				estadd scalar HiStrLo_mn = 100*r(estimate), replace		: IBreceipt_CDm`i'
				estadd scalar HiStrLo_se = 100*r(se), replace			: IBreceipt_CDm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
				test _b[5._at] = _b[6._at]
				estadd scalar HiStrLo_p = r(p), replace					: IBreceipt_CDm`i'
			/**/							}
		/*end loop*/				}
	/*end overall loop*/ 	}
	
	

	
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
// Comparing the different JEMs
local reg35	 "			IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost"							// Physicality added below
forvalues i =7/7		{
		dis "JEMs: Regression model `i'"
		time
		if `i'<7		local vers "`i'"
		else			local vers "_EB"
		* Main models
		if `i'==3 | `i'==7	eststo IBreceipt_JEMm`i': xtlogit 	FIBreceipt 		i.JEMC`vers't i.JEMD`vers't  i.JEMP2t  `reg35' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)
		else				eststo IBreceipt_JEMm`i': xtlogit 	FIBreceipt 		i.JEMC`vers't i.JEMD`vers't  i.JEMP`vers't  `reg35' if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)
		margins, at(JEMC`vers't=(1 3)) at(JEMD`vers't=(1 3)) at(JEMC`vers't=1 JEMD`vers't=3) at(JEMC`vers't=3 JEMD`vers't=1) at((asobs) _all) predict(mu) post
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
			local Iworking = 100*_b[_cons]
			estadd scalar incidence = `Iworking', replace			: IBreceipt_JEMm`i'
			local Cworking = 100*_b[2._at]							// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
			estadd scalar Clohi_base3 = `Cworking', replace			: IBreceipt_JEMm`i'
			local Dworking = 100*_b[3._at]
			estadd scalar Dhilo_base1 = `Dworking', replace			: IBreceipt_JEMm`i'
			local Sworking = 100*_b[6._at]
			estadd scalar HiStrLo_base = `Sworking', replace		: IBreceipt_JEMm`i'
		// Low vs. high control
		lincom   _b[1._at] - _b[2._at]
			estadd scalar Clohi_mn = 100*r(estimate), replace		: IBreceipt_JEMm`i'
			estadd scalar Clohi_se = 100*r(se), replace				: IBreceipt_JEMm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
			test _b[1._at] = _b[2._at]
			estadd scalar Clohi_p = r(p), replace					: IBreceipt_JEMm`i'
		// High vs Low demands
		lincom   _b[4._at] - _b[3._at]
			estadd scalar Dhilo_mn = 100*r(estimate), replace		: IBreceipt_JEMm`i'
			estadd scalar Dhilo_se = 100*r(se), replace				: IBreceipt_JEMm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
			test _b[4._at] = _b[3._at]
			estadd scalar Dhilo_p = r(p), replace: IBreceipt_JEMm`i'
		// High vs Low Strain (for comparison to WII analyses)
		lincom   _b[5._at] - _b[6._at]
			estadd scalar HiStrLo_mn = 100*r(estimate), replace		: IBreceipt_JEMm`i'
			estadd scalar HiStrLo_se = 100*r(se), replace			: IBreceipt_JEMm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
			test _b[5._at] = _b[6._at]
			estadd scalar HiStrLo_p = r(p), replace: IBreceipt_JEMm`i'
		/*end loop*/				}
/**/




///////////////////////////////////////////////////////
// with JBMNGR as the exposure variable
* Main models, with controls successively introduced
local reg1   "i.JEMP2t IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost"
local reg2   "i.JEMP2t IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost status"
local reg3   "i.JEMP2t IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.nssec"
local reg4   "i.JEMP2t IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost i.soc90_1R"
local reg5   "i.JEMP2t IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost jobsat secur_sat jboppsR pay_sat"
local reg6   "i.JEMP2t IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost jobsat secur_sat jboppsR pay_sat status"
* The model
forvalues i = 1/6		{
	dis "JBMNGR: Regression model `i'"
	time
	if "`reg`i''"~="" | `i'==0		{
		eststo IBreceipt_MNGRm`i': xtlogit FIBreceipt i.jbmngr `reg`i'' if $if1 & allvars==0		, vce(robust) i(_pid) pa corr(exchangeable)
			margins i.jbmngr, predict(mu) post
				local MNGRworking = 100*_b[1.jbmngr]							// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
				estadd scalar MNGR_base1 = `MNGRworking', replace			: IBreceipt_MNGRm`i'
			lincom _b[3.jbmngr] - _b[1bn.jbmngr]
				estadd scalar MNGRvNOT_mn = 100*r(estimate), replace		: IBreceipt_MNGRm`i'
				estadd scalar MNGRvNOT_se   = 100*r(se), replace			: IBreceipt_MNGRm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
				testnl _b[3.jbmngr] = _b[1bn.jbmngr]
				estadd scalar MNGRvNOT_p = r(p), replace					: IBreceipt_MNGRm`i'
			lincom _b[2.jbmngr] - _b[1bn.jbmngr]
				estadd scalar MNGRvSUP_mn = 100*r(estimate), replace		: IBreceipt_MNGRm`i'
				estadd scalar MNGRvSUP_se   = 100*r(se), replace			: IBreceipt_MNGRm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
				testnl _b[2.jbmngr] = _b[1bn.jbmngr]
				estadd scalar MNGRvSUP_p = r(p), replace					: IBreceipt_MNGRm`i'
		/*end loop*/				}
	/*end overall loop*/ 	}
	
	
	
	

///////////////////////////////////////////////////////
// Demands and control separately
local reg20  "i.JEMP2t IBreceipt $demvars $waves $hlthvars 		$workvars 		$partnervars $sesvars_nost"
*local reg21  "		   wldB $demvars $waves $hlthvars_cs $workvars_cs $partnervars $sesvars_nost"			// CS only (hence no physicality)
* The model
forvalues i = 20/20 			{
	if "`reg`i''"~="" | `i'==0		{
		dis "C/D separately: Regression model `i'"
		time
		// Just control
		if "`i'"=="20"		eststo IBreceipt_justC_m`i': xtlogit FIBreceipt i.JEMC2t `reg`i'' if $if1 & allvars==0					, vce(robust) i(_pid) pa corr(exchangeable)
		if "`i'"=="21"		eststo IBreceipt_justC_m`i': xtlogit FIBreceipt i.JEMC2t `reg`i'' if $if1 & allvars==0 & cs==1 & age<60	, vce(robust) i(_pid) pa corr(exchangeable)
		margins, at(JEMC2t=(1 3)) at((asobs) _all) predict(mu) post
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
			local Iworking = 100*_b[_cons]
			estadd scalar incidence = `Iworking', replace				: IBreceipt_justC_m`i'
			local Clohi_working = 100*_b[2._at]							// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
			estadd scalar Clohi_base3 = `Clohi_working', replace		: IBreceipt_justC_m`i'
		lincom   _b[1._at] - _b[2._at]	// High-str vs. low-str - remember to update TEST too
			estadd scalar Clohi_mn = 100*r(estimate), replace			: IBreceipt_justC_m`i'
			estadd scalar Clohi_se = 100*r(se), replace					: IBreceipt_justC_m`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
			test _b[1._at] = _b[2._at]
			estadd scalar Clohi_p = r(p), replace						: IBreceipt_justC_m`i'
		// Just demands
		if "`i'"=="20"		eststo IBreceipt_justD_m`i': xtlogit FIBreceipt i.JEMD2t `reg`i'' if $if1 & allvars==0					, vce(robust) i(_pid) pa corr(exchangeable)
		if "`i'"=="21"		eststo IBreceipt_justD_m`i': xtlogit FIBreceipt i.JEMD2t `reg`i'' if $if1 & allvars==0 & cs==1 & age<60	, vce(robust) i(_pid) pa corr(exchangeable)
		margins, at(JEMD2t=(1 3)) at((asobs) _all) predict(mu) post
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
			local Iworking = 100*_b[_cons]
			estadd scalar incidence = `Iworking', replace				: IBreceipt_justD_m`i'
			local Dhilo_working = 100*_b[1._at]							// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
			estadd scalar Dhilo_base1 = `Dhilo_working', replace		: IBreceipt_justD_m`i'
		lincom   _b[2._at] - _b[1._at]	// High-str vs. low-str - remember to update TEST too
			estadd scalar Dhilo_mn = 100*r(estimate), replace			: IBreceipt_justD_m`i'
			estadd scalar Dhilo_se = 100*r(se), replace					: IBreceipt_justD_m`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
			test _b[2._at] = _b[1._at]
			estadd scalar Dhilo_p = r(p), replace						: IBreceipt_justD_m`i'
		/*end loop*/				}
	/*end overall loop*/ 	}
	

	
	
///////////////////////////////////////////////////////
// Demands*control interactions
local reg35  "i.JEMP2t IBreceipt $demvars $waves $hlthvars      $workvars       $partnervars $sesvars_nost"		
local reg1   "`reg35'"																							// Imputed strain (rather than the interaction on the imputed variables)
local reg51   "`reg35'"																							// Just strain (imputed)
local reg52   "`reg35'"																							// Just strain (interaction of imputed D-C)
*local reg9   "		   IBreceipt $demvars $waves $hlthvars_cs   $workvars_cs    $partnervars $sesvars_nost"			// Civil Servant subsample
* The model
forvalues i = 1/59 			{
	if "`reg`i''"~="" | `i'==0		{
		dis "STR: Regression model `i'"
		time
		if `i'>50	{
			if `i'==51		eststo IBreceipt_STRm`i': xtlogit FIBreceipt i.JEMS2t  		 `reg`i'' if $if1 & allvars==0 										, vce(robust) i(_pid) pa corr(exchangeable)		// CS subsample				
			if `i'==52		eststo IBreceipt_STRm`i': xtlogit FIBreceipt JEMoccS2  		 `reg`i'' if $if1 & allvars==0 										, vce(robust) i(_pid) pa corr(exchangeable)		// CS subsample				
			/**/	}
		else 		{
			if `i'==1	{
				eststo IBreceipt_STRm`i': xtlogit FIBreceipt i.JEMC2t i.JEMD2t i.JEMS2t  		 `reg`i'' if $if1 & allvars==0 									, vce(robust) i(_pid) pa corr(exchangeable)		// CS subsample		
				margins, at(JEMC2t=(1 3) JEMD2t=(1 3) JEMS2t=(1 3)) at((asobs) _all) predict(mu) post
				/**/	}
			else		{
				if `i'==9		eststo IBreceipt_STRm`i': xtlogit FIBreceipt i.JEMC2t i.JEMD2t JEMoccS2  		 `reg`i'' if $if1 & allvars==0 & cs==1 & age<60	, vce(robust) i(_pid) pa corr(exchangeable)		// CS subsample
				else			eststo IBreceipt_STRm`i': xtlogit FIBreceipt i.JEMC2t i.JEMD2t JEMoccS2        `reg`i'' if $if1 & allvars==0					, vce(robust) i(_pid) pa corr(exchangeable)
				margins, at(JEMC2t=(1 3) JEMD2t=(1 3) JEMoccS2=(0 1)) at((asobs) _all) predict(mu) post
				/**/	}
			// For all these models
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
				local Iworking = 100*_b[_cons]
				estadd scalar incidence = `Iworking', replace				: IBreceipt_STRm`i'
				local HiStrLo_working = 100*_b[5._at]							// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
				estadd scalar HiStrLo_base = `HiStrLo_working', replace		: IBreceipt_STRm`i'
				local HiStrAct_working = 100*_b[7._at]							
				estadd scalar HiStrAct_base = `HiStrAct_working', replace	: IBreceipt_STRm`i'
			lincom   _b[4._at] - _b[5._at]	// High-str vs. low-str - remember to update TEST too
				estadd scalar HiStrLo_mn = 100*r(estimate), replace			: IBreceipt_STRm`i'
				estadd scalar HiStrLo_se = 100*r(se), replace				: IBreceipt_STRm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
				test _b[4._at] = _b[5._at]
				estadd scalar HiStrLo_p = r(p), replace						: IBreceipt_STRm`i'
			lincom   _b[4._at] - _b[7._at] 	// High-str vs active - remember to update TEST too
				estadd scalar HiStrAct_mn = 100*r(estimate), replace		: IBreceipt_STRm`i'
				estadd scalar HiStrAct_se = 100*r(se), replace				: IBreceipt_STRm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
				test _b[4._at] = _b[7._at]
				estadd scalar HiStrAct_p = r(p), replace					: IBreceipt_STRm`i'
			lincom   _b[1._at] - _b[5._at] 	// Low vs high control when low demands - remember to update TEST too
				estadd scalar DloChilo_mn = 100*r(estimate), replace		: IBreceipt_STRm`i'
				estadd scalar DloChilo_se = 100*r(se), replace				: IBreceipt_STRm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
				test _b[1._at] = _b[5._at]
				estadd scalar DloChilo_p = r(p), replace					: IBreceipt_STRm`i'
			/*end loop around MARGINS*/		}
		/*end loop*/				}
	/*end overall loop*/ 	}
	

	

///////////////////////////////////////////////////////
// Continuous demands and control 
* The variable lists
local reg1  "JEMP2 IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost"
local reg2  "`reg1'"																				// 2: Same vars, but with interaction of linear demands and control
local reg3  "`reg1'"																				// 3: Same vars, but with imputed Strain
local reg4  "`reg1'"																				// 4: Same vars, but just imputed Strain (no D-C)
local reg21 "JEMP2 IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost paygu"
local reg32 "JEMP2 IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost CGstatus"
* The model
forvalues i = 1/32 			{
*foreach i in 21 			{
	if "`reg`i''"~="" | `i'==0		{
		dis "LIN: Regression model `i'"
		time
		* The mean values within each tertile (for MARGINS)
		mean JEMC2 if $if1 & allvars==0, over(JEMC2t)
			matrix working = e(b)
			global Clo = working[1,1]
			global Chi = working[1,3]
		mean JEMD2 if $if1 & allvars==0, over(JEMD2t)
			matrix working = e(b)
			global Dlo = working[1,1]
			global Dhi = working[1,3]
		* The estimation commands
		if "`reg`i''"~="" | `i'==0		{
			if `i'==1 | `i'==21  | `i'==32 	{
				eststo IBreceipt_CDlin_m`i': xtlogit FIBreceipt   JEMC2 JEMD2  `reg`i'' if $if1 & allvars==0	, vce(robust) i(_pid) pa corr(exchangeable)	
				margins, at(JEMC2=($Clo ${Chi})) at(JEMD2=($Dlo ${Dhi})) at((asobs) _all) predict(mu) post
					local Iworking = 100*_b[5._at]
					estadd scalar incidence = `Iworking', replace				: IBreceipt_CDlin_m`i'
					local ClohiL_working = 100*_b[2._at]					// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
					estadd scalar DhiloL_base = `ClohiL_working', replace		: IBreceipt_CDlin_m`i'
					local DhiloL_working = 100*_b[3._at]					// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
					estadd scalar DhiloL_base = `DhiloL_working', replace		: IBreceipt_CDlin_m`i'
				lincom   _b[1._at] - _b[2._at]	
					estadd scalar ClohiL_mn = 100*r(estimate), replace			: IBreceipt_CDlin_m`i'
					estadd scalar ClohiL_se = 100*r(se), replace				: IBreceipt_CDlin_m`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
					test _b[1._at] = _b[2._at]
					estadd scalar ClohiL_p = r(p), replace						: IBreceipt_CDlin_m`i'
				lincom   _b[4._at] - _b[3._at] 	
					estadd scalar DhiloL_mn = 100*r(estimate), replace			: IBreceipt_CDlin_m`i'
					estadd scalar DhiloL_se = 100*r(se), replace				: IBreceipt_CDlin_m`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
					test _b[4._at] = _b[3._at]	
					estadd scalar DhiloL_p = r(p), replace						: IBreceipt_CDlin_m`i'
				/*end loop*/					}
			// For doing MARGINS on the interaction
			if `i'==2 | `i'==12				{
				eststo IBreceipt_CDlin_m`i': xtlogit FIBreceipt c.JEMC2##c.JEMD2 `reg`i'' if $if1 & allvars==0	, vce(robust) i(_pid) pa corr(exchangeable)
				margins, at(JEMC2=($Clo ${Chi}) JEMD2=($Dlo ${Dhi})) at((asobs) _all) predict(mu) post
					dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
					local Iworking = 100*_b[_cons]
					estadd scalar incidence = `Iworking', replace					: IBreceipt_CDlin_m`i'
					local HiStrLoL_working = 100*_b[3._at]							// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
					estadd scalar HiStrLoL_base = `HiStrLoL_working', replace		: IBreceipt_CDlin_m`i'
					local HiStrActL_working = 100*_b[4._at]							
					estadd scalar HiStrActL_base = `HiStrActL_working', replace		: IBreceipt_CDlin_m`i'
				lincom _b[2._at] - _b[3._at]	// High-str vs. low-str - remember to update TEST too
					estadd scalar HiStrLoL_mn = 100*r(estimate), replace			: IBreceipt_CDlin_m`i'
					estadd scalar HiStrLoL_se = 100*r(se), replace					: IBreceipt_CDlin_m`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
					test _b[2._at] = _b[3._at]
					estadd scalar HiStrLoL_p = r(p), replace						: IBreceipt_CDlin_m`i'
				lincom _b[2._at] - _b[4._at] 	// High-str vs active - remember to update TEST too
					estadd scalar HiStrActL_mn = 100*r(estimate), replace			: IBreceipt_CDlin_m`i'
					estadd scalar HiStrActL_se = 100*r(se), replace					: IBreceipt_CDlin_m`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
					test _b[2._at] = _b[4._at]
					estadd scalar HiStrActL_p = r(p), replace						: IBreceipt_CDlin_m`i'
				lincom _b[1bn._at] - _b[3._at] 	// Low vs high control when low demands - remember to update TEST too
					estadd scalar DloClohiL_mn = 100*r(estimate), replace			: IBreceipt_CDlin_m`i'
					estadd scalar DloClohiL_se = 100*r(se), replace					: IBreceipt_CDlin_m`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
					test _b[1bn._at] = _b[3._at]	
					estadd scalar DloClohiL_p = r(p), replace						: IBreceipt_CDlin_m`i'
				/*end loop*/				}
			if `i'==3 				eststo IBreceipt_CDlin_m`i': xtlogit FIBreceipt JEMC2 JEMD2 JEMS2 `reg`i'' if $if1 & allvars==0	, vce(robust) i(_pid) pa corr(exchangeable)
			if `i'==4 				eststo IBreceipt_CDlin_m`i': xtlogit FIBreceipt             JEMS2 `reg`i'' if $if1 & allvars==0	, vce(robust) i(_pid) pa corr(exchangeable)
			/*end IF reg`i' loop*/		}
		/*end IF nonblank loop*/	}
	/*end overall loop*/ 	}

	
	
	
	
	

	
**********************************************8
*** *** *** ADDED APRIL 2013 *** *** *** 
**********************************************8
///////////////////////////////////////////////////////
// Mundlak models based on continuous demands and control 
* The variable lists
xi, prefix(_M) i.agegrp i.sex i.married i.nchildR i._region	i.bem i.hlprba i.hlprbb i.hlprbc i.hlprbd i.hlprbe i.hlprbf i.hlprbg i.hlprbh i.hlprbi i.hlprbj i.hlprbk		///
	i.hlprbl i.hlprbm i.hlltaR i.hlltbR i.hlltcR i.hlltdR i.hospR i.ghqB i.hoursGRP i.occpenR i.sector i.tempjob i.sme i.sic92_1A i.partnered i.sp_IBreceipt i.sp_employR 	///
	i.maxqual i.housing		// Note that many vars have had 'i.' added from the globals
drop _Magegrp* _Msex*					// Doesn't make sense to include these
unab mundlakvars: _M*
capture drop mn*
foreach var in `mundlakvars' JEMC2 JEMD2 JEMP2 loginc {
	bysort _pid: egen mn`var' = mean(`var')
	global mnvars "${mnvars} mn`var'"
	/**/												}
unab mnvars: mn_*
local reg1  "JEMP2 IBreceipt $demvars $waves $hlthvars $workvars $partnervars $sesvars_nost"
local reg2	"`reg1' mnJEMC2"
local reg3  "`reg1' mnJEMC2 mnJEMD2 mnJEMP2"
local reg4	"`reg1' mnJEMC2 mnJEMD2 mnJEMP2 `mnvars'"
* The model
forvalues i = 1/4 			{
	if "`reg`i''"~="" | `i'==0		{
		dis "LIN: Regression model `i'"
		time
		* The estimation commands
		if "`reg`i''"~="" | `i'==0		{
			eststo IBreceipt_mundlak_m`i': xtlogit FIBreceipt   JEMC2 JEMD2  `reg`i'' if $if1 & allvars==0	, vce(robust) i(_pid) pa corr(exchangeable)	
			/*end IF reg`i' loop*/		}
		/*end IF nonblank loop*/	}
	/*end overall loop*/ 	}

* Simple table output - note need to change these from CDlin to mundlak
esttab IBreceipt_mundlak_m1 IBreceipt_mundlak_m2 IBreceipt_mundlak_m3 IBreceipt_mundlak_m4, keep(*JEM*) b(%3.2f) star(+ 0.10 * 0.05 ** 0.01 *** 0.001) not 
	
	
	
	
	
	
	
///////////////////////////////////////////////////////
// Weights & different estimation methods 
//	Crossed effects are slowest (roughly 3hrs each with a 15% subsample!), so they are run last
* Weights
local reg61  "i.JEMP2t IBreceipt $demvars     ib2006.wave2 $hlthvars $workvars 		 $partnervars $sesvars_nost"		// Unweighted, comparator to weighted (all waves)
local reg62  "i.JEMP2t IBreceipt $demvars     ib2006.wave2 $hlthvars $workvars 		 $partnervars $sesvars_nost"		// Weighted data (all waves, 1991-2006)
local reg63  "i.JEMP2t IBreceipt $demvars_wts ib2006.wave2 $hlthvars $workvars_small $partnervars $sesvars_nost"		// Unweighted, comparator to weighted (all samples)
local reg64  "i.JEMP2t IBreceipt $demvars_wts ib2006.wave2 $hlthvars $workvars_small $partnervars $sesvars_nost"		// Weighted data (all samples, 1999-2006)
local reg65  "		   lj_health $demvars_wts ib2006.wave2 $hlthvars_cs $workvars_small 		  $sesvars_nost"		// LJ_HEALTH: Unweighted, comparator to weighted (all samples)
local reg66  "		   lj_health $demvars_wts ib2006.wave2 $hlthvars_cs $workvars_small 		  $sesvars_nost"		// LJ_HEALTH: Weighted data (all samples, 1999-2006)
local reg67  "i.JEMP2t IBreceipt $demvars_wts ib2006.wave2 $hlthvars $workvars_small $partnervars $sesvars_nost"		// Restricted to the 1999-2006 period, but including people who later drop out
* Estimation methods
local reg71  "i.JEMP2t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// PA model with VCE(ROBUST)
local reg72  "i.JEMP2t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// RE model
local reg73  "i.JEMP2t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// PA model with AR1 CORRELATION STRUCTURE
local reg74  "i.JEMP2t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// PA model with EXCHANGEABLE corr structure, on the AR1 subsample
local reg75  "i.JEMP2t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// PA model with UNSTRUCTURED CORRELATION STRUCTURE
local reg76  "		   IBreceipt"												// XTMELOGIT without crossed effects (laplace approximation) - also a normal RE model
local reg77  " 		   IBreceipt"												// XTMELOGIT with crossed effects (laplace approximation) - I tried with these covariates on pid0-0.2, but didn't converge in 36hrs: i.agegrp sex i.wave loginc
* Taking into account that we're observing D-C-P at the occ level
local reg80  "i.JEMP1t IBreceipt $demvars 			   $hlthvars $workvars $partnervars $sesvars_nost"		// 
local reg81  "i.JEMP1t IBreceipt $demvars 			   $hlthvars $workvars $partnervars $sesvars_nost"		// 
local reg82  "i.JEMP1t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// 
local reg83  "i.JEMP1t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// 
local reg84  "i.JEMP1t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// XTMELOGIT without crossed effects (laplace approximation) - also a normal RE model
local reg85  "i.JEMP1t IBreceipt $demvars ib2006.wave2 $hlthvars $workvars $partnervars $sesvars_nost"		// XTMELOGIT with crossed effects (laplace approximation)
* The model
forvalues i = 80/85		{
	if "`reg`i''"~="" | `i'==0		{
	dis "CROSSED: Regression model `i'"
	time
	if `i'==61 							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0 & wt_allwaves2<.	, vce(robust) i(_pid) pa corr(exchangeable)
	if `i'==62 							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0 [pw=wt_allwaves2]	, vce(robust) i(_pid) pa corr(exchangeable)
	if `i'==63 							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0 & wt_allsamples2<.	, vce(robust) i(_pid) pa corr(exchangeable)
	if `i'==64 							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0 [pw=wt_allsamples2], vce(robust) i(_pid) pa corr(exchangeable)
	* Repeating 63 and 64 on heath-related job losses (IB) / hosp (WLD), to check if control really has a null effect in this period
	if `i'==65 							eststo IBreceipt_CDm`i': xtlogit 	Flj_health 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0 & wt_allsamples2<.	, vce(robust) i(_pid) pa corr(exchangeable)
	if `i'==66 							eststo IBreceipt_CDm`i': xtlogit 	Flj_health 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0 [pw=wt_allsamples2], vce(robust) i(_pid) pa corr(exchangeable)
	if `i'==67 							eststo IBreceipt_CDm`i': xtlogit 	Flj_health 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0 & wave>=1999		, vce(robust) i(_pid) pa corr(exchangeable)
	* Other estimation methods
	if `i'==71							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0					, i(_pid) pa corr(exchangeable)
	if `i'==72							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0					, i(_pid) re
	if `i'==73							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0					, vce(robust) i(_pid) pa corr(ar1) force
	if `i'==74							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if e(sample)							, vce(robust) i(_pid) pa corr(exchangeable)
	if `i'==75							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t  `reg`i'' 	if $if1 & allvars==0					, vce(robust) i(_pid) pa corr(unstructured)
	* D-C-P at occ level
	if `i'==80							eststo IBreceipt_CDm`i': logit		FIBreceipt  	i.JEMC1t i.JEMD1t  `reg`i'' 	if $if1 & allvars==0 & wave==1991		, vce(robust) 
	if `i'==81							eststo IBreceipt_CDm`i': xtlogit 	FIBreceipt  	i.JEMC1t i.JEMD1t  `reg`i'' 	if $if1 & allvars==0 & wave==1991		, i(soc90_BB) re
	if `i'==82							eststo IBreceipt_CDm`i': xtmixed 	FIBreceipt  	i.JEMC1t i.JEMD1t  `reg`i'' 	if $if1 & allvars==0 					|| soc90_BB:
	if `i'==83							eststo IBreceipt_CDm`i': xtmixed 	FIBreceipt  	i.JEMC1t i.JEMD1t  `reg`i'' 	if $if1 & allvars==0 					|| _all: R.soc90_BB || _pid:
	if `i'==84							eststo IBreceipt_CDm`i': xtmelogit 	FIBreceipt  	i.JEMC2t i.JEMD2t `reg`i'' 		|| _pid: 						if $if1 & allvars==0 & pidselect>0.33 & pidselect<0.66, laplace
	if `i'==85							eststo IBreceipt_CDm`i': xtmelogit 	FIBreceipt  	i.JEMC2t i.JEMD2t `reg`i'' 		|| _all: R.soc90_BB || _pid:	if $if1 & allvars==0 & pidselect>0.33 & pidselect<0.66, laplace
*		matrix a = e(b)
*										eststo IBreceipt_CDm`i': xtmelogit 	FIBreceipt 		i.JEMC2t i.JEMD2t `reg`i'' 		|| _all: R.soc90_BB || _pid:	if $if1 & allvars==0 & pidselect>=0.2 & pidselect<0.4, intpoints(2) from(a) refineopts(iterate(0))
	* Crossed models on subsamples - using intpoints is simply far too slow, even the Laplacian approximation takes a day...
		/*approximation*/				eststo IBreceipt_CDm`i': xtmelogit 	FIBreceipt 		i.JEMC2t i.JEMD2t `reg`i'' 		|| _all: R.soc90_BB || _pid:	if $if1 & allvars==0 & pidselect>=0.2 & pidselect<0.4, laplace
	* Marginal effects
	if `i'<70 						{
		margins, at(JEMC2t=(1 3)) at(JEMD2t=(1 3)) at(JEMC2t=1 JEMD2t=3) at(JEMC2t=3 JEMD2t=1) at((asobs) _all) predict(mu) post
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
			local Iworking = 100*_b[_cons]
			estadd scalar incidence = `Iworking', replace			: IBreceipt_CDm`i'
			local Cworking = 100*_b[2._at]							// No idea why this line of code is required, but when I try and do this in a single line with ESTTAB it fails...
			estadd scalar Clohi_base3 = `Cworking', replace			: IBreceipt_CDm`i'
			local Dworking = 100*_b[3._at]
			estadd scalar Dhilo_base1 = `Dworking', replace			: IBreceipt_CDm`i'
			local Sworking = 100*_b[6._at]
			estadd scalar HiStrLo_base = `Sworking', replace		: IBreceipt_CDm`i'
		// Low vs. high control
		lincom   _b[1._at] - _b[2._at]
			estadd scalar Clohi_mn = 100*r(estimate), replace		: IBreceipt_CDm`i'
			estadd scalar Clohi_se = 100*r(se), replace				: IBreceipt_CDm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
			test _b[1._at] = _b[2._at]
			estadd scalar Clohi_p = r(p), replace					: IBreceipt_CDm`i'
		// High vs Low demands
		lincom   _b[4._at] - _b[3._at]
			estadd scalar Dhilo_mn = 100*r(estimate), replace		: IBreceipt_CDm`i'
			estadd scalar Dhilo_se = 100*r(se), replace				: IBreceipt_CDm`i'					// For CI, do 'e(Dhilo_mn)-1.96*e(Dhilo_se)'
			test _b[4._at] = _b[3._at]
			estadd scalar Dhilo_p = r(p), replace: IBreceipt_CDm`i'
			/* end margins*/			}
		/*end loop*/				}
	/*end overall loop*/ 	}

	
	

////////////////////////////////
// MFP
quietly log using "$logdir\IBreceipt_mfp", text replace name(IBreceipt_mfp)		// This is not reported in tables, but instead stored in an additional log file
time
xi: mfp, xorder(n) select(1) df(1, age hlghq1 hours loginc: 4): xtgee FIBreceipt i.JEMC2t i.JEMD2t i.sex age loginc  hlghq1 hours , family(binomial) link(logit)	vce(robust) i(_pid) corr(exchangeable)
time
local mfplist "IBreceipt i.sex i.married i.nchildR bem i.sic92_1A i.region i.wave hlprba hlprbb hlprbc hlprbd hlprbe hlprbf hlprbg hlprbh hlprbi hlprbj hlprbk hlprbl hlprbm occpenR"
local mfplist "`mfplist' i.sector tempjob i.sme partnered sp_IBreceipt sp_employR i.maxqual  i.housing"
local mfp1	"`mfplist' i.agegrp ghqB i.hoursGRP loginc"
local mfp2	"`mfplist' Iage__* Ilogi__* Ihlgh__*  Ihour__*"
forvalues i = 1/2			{
	dis "MFP: Regression model `i'"
	eststo IBreceipt_MFPm`i': xtlogit 	FIBreceipt 		i.JEMC2t i.JEMD2t i.JEMP2t  `mfp`i'' 	if $if1 & allvars==0 					, i(_pid) pa corr(exchangeable)
		margins, at(JEMC2t=(1 3)) at(JEMD2t=(1 3)) at((asobs) _all) predict(mu) post
		lincom   _b[1._at] - _b[2._at]
			estadd scalar Clohi_mn = 100*r(estimate), replace		: IBreceipt_MFPm`i'
		lincom   _b[4._at] - _b[3._at]
			estadd scalar Dhilo_mn = 100*r(estimate), replace		: IBreceipt_MFPm`i'
	/*end overall loop*/ 	}
quietly log close IBreceipt_mfp
	
		

		
		
	
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
// Building tables based on stored models 
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////

* Saving the estimates
estwrite * using "$dir/IBreceipt_ests", id(uniqueid) replace


* Set-up
_getfilename "`c(filename)'"
	global thisfile = r(filename)
global mainlabels  `"coeflabels(JEMC2 "Control" JEMD2 "Demands" JEMP2 "Physicality" JEMS2 "Strain (lin, imputed)" c.JEMC2#c.JEMD2 "Strain (lin, interacted)" 		"'
	global mainlabels  `"$mainlabels 1b.JEMC2t "Low control (base)" 2.JEMC2t "Moderate control" 3.JEMC2t "High control"  1b.JEMD2t "Low demands (base)" 2.JEMD2t "Moderate demands" 3.JEMD2t "High demands"   "'
	global mainlabels  `"$mainlabels 1b.JEMS2t "Strain-low (imputed; base)" 2.JEMS2t "Strain-mod (imputed)" 3.JEMS2t "Strain-high (imputed)" 1b.JEMP2t "Low physicality (base)" 2.JEMP2t "Moderate physicality" 3.JEMP2t "High physicality" "'  
	global mainlabels  `"$mainlabels 1b.JEMC1t "JEM1t: Low control (base)" 2.JEMC1t "JEM1t: Moderate control" 3.JEMC1t "JEM1t: High control"  1b.JEMD1t "JEM1t: Low demands (base)" 2.JEMD1t "JEM1t: Moderate demands" 3.JEMD1t "JEM1t: High demands" "'
	global mainlabels  `"$mainlabels 1b.JEMC3t "JEM3t: Low control (base)" 2.JEMC3t "JEM3t: Moderate control" 3.JEMC3t "JEM3t: High control"  1b.JEMD3t "JEM3t: Low demands (base)" 2.JEMD3t "JEM3t: Moderate demands" 3.JEMD3t "JEM3t: High demands" "'
	global mainlabels  `"$mainlabels 1b.JEMC4t "JEM4t: Low control (base)" 2.JEMC4t "JEM4t: Moderate control" 3.JEMC4t "JEM4t: High control"  1b.JEMD4t "JEM4t: Low demands (base)" 2.JEMD4t "JEM4t: Moderate demands" 3.JEMD4t "JEM4t: High demands" "'
	global mainlabels  `"$mainlabels 1b.JEMC5t "JEM5t: Low control (base)" 2.JEMC5t "JEM5t: Moderate control" 3.JEMC5t "JEM5t: High control"  1b.JEMD5t "JEM5t: Low demands (base)" 2.JEMD5t "JEM5t: Moderate demands" 3.JEMD5t "JEM5t: High demands" "'
	global mainlabels  `"$mainlabels 1b.JEMC6t "JEM6t: Low control (base)" 2.JEMC6t "JEM6t: Moderate control" 3.JEMC6t "JEM6t: High control"  1b.JEMD6t "JEM6t: Low demands (base)" 2.JEMD6t "JEM6t: Moderate demands" 3.JEMD6t "JEM6t: High demands" 	)"' 
global alltables `"${mainlabels} not b(%3.2f) eform brackets sfmt(%4.0f %3.2f %3.0f %4.3f) varwidth(45) nodep nonum scalars("N_g Num persons" "incidence Incidence" "df_m Parameters" "'
	global alltables `" $alltables "space1  _ " "Clohi     *** Control: low vs. high ***"                   "Clohi_base3 	Baseline (high control)" "Clohi_mn Effect of low control"  "Clohi_se SE" "Clohi_p p" "'
	global alltables `" $alltables "space2  _ " "Dhilo     *** Demands: high vs. low ***"                   "Dhilo_base1 	Baseline (low demands)"  "Dhilo_mn Effect of high demands" "Dhilo_se SE" "Dhilo_p p" "' 
	global alltables `" $alltables "space3  _ " "DloChilo  *** Control: low vs. high (low demands) ***"     "HiStrLo_base   Baseline (low-strain)" "DloChilo_mn Effect of low control" "DloChilo_se SE" "DloChilo_p p"  "'
	global alltables `" $alltables "space4  _ " "HiStrAct  *** High-strain vs. Active ***"                  "HiStrAct_base  Baseline (active)"     "HiStrAct_mn   Effect of high-strain" "HiStrAct_se   SE" "HiStrAct_p   p"  "'
	global alltables `" $alltables "space5  _ " "HiStrLo   *** High-strain vs. Low-strain ***"              "base5       	Baseline (low-strain, as above)" "HiStrLo_mn    Effect of high-strain"" HiStrLo_se    SE" "HiStrLo_p    p"  "'
	global alltables `" $alltables "space6  _ " "CL        *** Control, linear ***"                         "ClohiL_base3 	Baseline (high control)"  "ClohiL_mn Effect of low control"  "ClohiL_se SE" "ClohiL_p p"  "'
	global alltables `" $alltables "space7  _ " "DL        *** Demands, linear ***"                         "DhiloL_base1 	Baseline (low demands)"   "DhiloL_mn Effect of high demands" "DhiloL_se SE" "DhiloL_p p" "'
	global alltables `" $alltables "space8  _ " "HiStrActL *** High-strain vs. Active (linear) ***"         "HiStrActL_base Baseline (active)" "HiStrActL_mn Effect of high-strain" "HiStrActL_se SE" "HiStrActL_p p" "'
	global alltables `" $alltables "space9  _ " "HiStrLoL  *** High-strain vs. Low-strain (linear) ***"     "HiStrLoL_base  Baseline (low-strain)" "HiStrLoL_mn Effect of high-strain" "HiStrLoL_se SE" "HiStrLoL_p p" "'
	global alltables `" $alltables "space10 _ " "DloClohiL *** Control: low vs. high (low dem, lin) ***"    "base10       	Baseline (low-strain, as above)" "DloClohiL_mn Effect of low control" "DloClohiL_se SE" "DloClohiL_p p"  "'
	global alltables `" $alltables "space11 _ " "MNGRvNOT  *** Manager vs Non-manager ***"    				"MNGR_base1	 	Baseline (manager)"           "MNGRvNOT_mn Effect of being non-manager" "MNGRvNOT_se se" "MNGRvNOT_p p" "'
	global alltables `" $alltables "space12 _ " "MNGRvSUP  *** Manager vs Supervisor***"    				"base12	  	  	Baseline (manager, as above)" "MNGRvSUP_mn Effect of being supervisor"  "MNGRvSUP_se se" "MNGRvSUP_p p" 	) "'



* For saving - raw numbers for graphs
global output1 `"nostar addnotes("Results exported $S_DATE using datafile version $thisfile" "Subsample was $if1")"'
global output2 "star(+ 0.10 * 0.05 ** 0.01 *** 0.001) ci(%3.2f)"
foreach i in  2	{
	/*MAIN*/			esttab IBreceipt_CDm0  IBreceipt_CDm1  IBreceipt_CDm2  IBreceipt_CDm3  IBreceipt_CDm4  IBreceipt_CDm5  IBreceipt_CDm6  IBreceipt_CDm20  IBreceipt_CDm35   		  							  				///
		using "$tabdir/IBreceipt_CDmain`i'"		, ${output`i'} keep(*JEM*) fixed replace ${alltables} mtitles("Empty" "Dem+Change" "Waves" "Hlth" "Work" "Partner" "SES+Phys" "SES(no status/phys)" "Phys+SES(no status")			
	/*SES1_NOTOCC*/		esttab IBreceipt_CDm5  IBreceipt_CDm21  IBreceipt_CDm22  IBreceipt_CDm23  IBreceipt_CDm24  IBreceipt_CDm25  IBreceipt_CDm20  		   							  												///
		using "$tabdir/IBreceipt_CD_SESa`i'"		, ${output`i'} keep(*JEM*) fixed replace ${alltables} mtitles("No SES" "Ed" "Money probs" "LogInc" "Tenure" "Ed+Inc+Ten+Probs" "All but probs")							
	/*SES2_OCC*/		esttab IBreceipt_CDm20  IBreceipt_CDm26  IBreceipt_CDm27  IBreceipt_CDm28  IBreceipt_CDm29  IBreceipt_CDm30  IBreceipt_CDm31  IBreceipt_CDm32  IBreceipt_CDm33  IBreceipt_CDm35    															///
		using "$tabdir/IBreceipt_CD_SESb`i'"		, ${output`i'} keep(*JEM*) fixed replace ${alltables} mtitles("SES(no status)" "SOC 1-digit" "NS-SEC" "Status" "Status m&f" "StatusGRP" "CAMSIS" "Chan status" "NSSEC_3band" "Physicality") ///
		prehead("Table 7.SESb" "This shows the impact of including various occupation-level measures of SES" "" "MODELS SHOULD BE INTERPRETED AS FOLLOWS" "SES(no status) is equivalent to model 6 of Table 26 + the individual-level SES controls (qualifications, income, tenure)" ///
		"SOC 1-digit: as SES(no status) + 1-digit SOC90 major group" "NS-SEC: as SES(no status) + National Statistics Socio-Economic Classification" ///
		"Status: as SES(no status) + occupational status (Cambridge scale)" "Status m&f: as SES(no status) + occupational status (Cambridge scale for men and women separately)" ///
		"StatusGRP: as SES(no status) + with grouped rather than continuous occupational status (Cambridge scale)" "CAMSIS: as SES(no status) + occupational status (CAMSIS measure)" ///
		"Chan status: : as SES(no status) + occupational status (Chan/Goldthorpe scale)" "NSSEC_3band: : as SES(no status) + grouped version of NS-SEC" ///
		"Physicality: : as SES(no status) + imputed physical demands in that occupation" "" "" "")
	/*SES_CONTROLS*/	esttab IBreceipt_CDm35  IBreceipt_CDm53  IBreceipt_CDm54  IBreceipt_CDm55    IBreceipt_CDm50  IBreceipt_CDm57  IBreceipt_CDm51  IBreceipt_CDm58  IBreceipt_CDm52 IBreceipt_CDm59  								///	
		using "$tabdir/IBreceipt_CD_SEScont`i'"	, ${output`i'} keep(*JEM*) fixed replace ${alltables} mtitles("Main(no status)" "JobSat" "SecurSat" "Prom/Pay" "NoStatus>" "ValueWork" "NoStatus>" "Class" "NoStatus>" "Boss/Initve" ) 
	/*MNGR*/			esttab IBreceipt_CDm35  IBreceipt_CDm56  IBreceipt_MNGRm1  IBreceipt_MNGRm2  IBreceipt_MNGRm3  IBreceipt_MNGRm4  IBreceipt_MNGRm5  IBreceipt_MNGRm6 																				///	
		using "$tabdir/IBreceipt_mngr`i'"		, ${output`i'} keep(*JEM* *jbmngr*) fixed replace ${alltables} mtitles("Main(no status" "CD+MNGR" "MNGR" "MNGR+stat" "MNGR+nssec" "MNGR+occ(1dig)" "MNGR+sat"  "MNGR+sat+status") 	
	/*OTH OUTCOMES*/	esttab IBreceipt_CDm35  IBreceipt_CDm41  IBreceipt_CDm42  IBreceipt_CDm43  IBreceipt_CDm44  IBreceipt_CDm45  IBreceipt_CDm46  						           										///
		using "$tabdir/IBreceipt_CD_othY`i'"		, ${output`i'} keep(*JEM*) fixed replace ${alltables} mtitles("IBreceipt" "disbens" "l/t sick" "lj_health" "nonemployed(exc ltsick)" "lj_rdndnt" "lj_sacked") 						
*	/*CS*/				esttab IBreceipt_CDm20  IBreceipt_CDm15  IBreceipt_STRm9  IBreceipt_CDm19  IBreceipt_justC_m21  IBreceipt_justD_m21 	 		   							  								///
*		using "$tabdir/IBreceipt_CD_CS`i'"		, ${output`i'} keep(*JEM* *CSnew) fixed replace ${alltables} mtitles("Main(no P/status)" "CS only" "STR CS only" "CS int" "CS-Just C" "CS-Just D") 	
	/*SPEC*/			esttab IBreceipt_CDm35  IBreceipt_CDm10  IBreceipt_CDm8  IBreceipt_CDm16  IBreceipt_CDm17  IBreceipt_CDm17_F2   IBreceipt_MFPm1  IBreceipt_MFPm2	 		   							  								///
		using "$tabdir/IBreceipt_CD_spec`i'"		, ${output`i'} keep(*JEM*) fixed replace ${alltables} mtitles("Main(NoSt)" "XtraHlth" "t0 wld" "Ethnicity" "Exc tempsick" "t+2 exc tempsick" "Main>" "MFP") ///	
		prehead("Table 7.Spec" "" "MODELS SHOULD BE INTERPRETED AS FOLLOWS" "Main(no status): as model 7 in Table 26 excluding occupational status" "Xtrahlth: as Main(no status) but with additional health controls (general health, continuous not categorical GHQ, LLSI, GP visits)" ///
		"t0 wld: as Main(no status) but including baseline WLD" "Ethnicity: as Main(no status) but with less crude measures of ethnicity" "Exc tempsick: as Main(no status) but excluding those temporarily sick in the week before the baseline interview" ///
		"t+2 exc tempsick: as 'Exc tempsick', but looking at WLD two waves into the future"  ///
		"Main>: as Main(no status) but excluding activity limitations and hospitalisation" "MFP: as Main(no status) but with multivariable fractional polynomial transformations of continuous variables" "" "" "")
	/*JEM*/				esttab IBreceipt_JEMm1  IBreceipt_JEMm2  IBreceipt_JEMm3  IBreceipt_JEMm4  IBreceipt_JEMm5  IBreceipt_JEMm6  IBreceipt_JEMm7 		   							  								///
		using "$tabdir/IBreceipt_CD_JEM`i'"		, ${output`i'} order(*JEMC* *JEMD* *JEMP*) keep(*JEM*) fixed replace ${alltables} mtitles("Occ only" "Occ+Yr" "SocXyr" "Soc+Yr+Ind+Ed" "All covariates" "Occ-ind groups" "EB occ+yr") 	///
		prehead("Table 7.JEM" "Comparing different imputation methods; all models based on model 7 in Table 26 excluding occupational status" "" "MODELS SHOULD BE INTERPRETED AS FOLLOWS" "Occ only: imputation based solely on occupation" ///
		"Occ+Yr: imputation based on occupation and overall trend (used in the main analyses)" "SocXYr: imputation based on occupation and trend within each major occupational group" ///
		"Soc+Yr+Ind+Ed: imputation based on occupation ,overall trend, industry and qualifications" "All covariates: imputation based on occupation, overall trend, and all covariates" ///
		"Occ-ind groups: imputation based on occupation-industry cross-classification" "EB occ+yr: imputation based on Empirical Bayes estimates of occupation, + overall trend" "" "" "")
	/*CD FORM*/			esttab IBreceipt_CDlin_m1  IBreceipt_CDlin_m2  IBreceipt_CDlin_m3  IBreceipt_CDlin_m4  IBreceipt_CDlin_m32  IBreceipt_CDm20  IBreceipt_justC_m20  IBreceipt_justD_m20   IBreceipt_STRm35  IBreceipt_STRm1  IBreceipt_STRm51  IBreceipt_STRm52       																	///
		using "$tabdir/IBreceipt_CDlin`i'"		, ${output`i'} keep(*JEM*) fixed replace ${alltables}  mtitles("Linear" "Lin strain" "Lin S(imputed)" "Just Lin S(imputed)" "Lin+CGstatus" "Main(no status)" "Just C" "Just D" "STR(interact)" "STR(impute)" "Just S(impute)" "Just S(interact)")	///		
		prehead("Table 7.CDlin" "Different forms of demands, control and strain; all models based on model 7 in Table 26 excluding occupational status" "" "MODELS SHOULD BE INTERPRETED AS FOLLOWS" ///
		"Linear: continuous linear forms of demands, control, and physicality" "Lin strain: as 'Linear' + demands*control interaction (impute-then-interact)" "Lin S(imputed): as 'Linear' + demands*control interaction (interact-then-impute)" ///
		"Just Lin S(imputed): linear strain(interact-then-impute) and physicality" "Lin+CG status: as 'Linear' + occupational status" "Main(no status): categorical demands-control(as used in main models), without physicality" ///
		"Just C: categorical control, no demnads" "Just D: categorical demands, no control" "STR(interact): as Main(no status) + strain(interact-then-impute)" "STR(impute): as Main(no status) + strain(impute-then-interact)" ///
		"Just S(impute): just strain(impute-then-interact), no demands or control" "Just S(interact): just strain(interact-then-impute), no demands or control" "" "" "")
	** NEXT TABLES ADDED APRIL 2013 FOR JSP REVIEWER
	/*MUNDLAK*/			esttab IBreceipt_CDlin_m1 IBreceipt_CDlin_m2 IBreceipt_CDlin_m3, keep(*JEM*) b(%3.2f) star(+ 0.10 * 0.05 ** 0.01 *** 0.001) not 
		/*	using "$tabdir/IBreceipt_mundlak"		, ${output`i'} keep(*JEM*) fixed replace ${alltables}  mtitles("Linear" "Mean Control" "Mean C/D/P")	///		
			prehead("Table 7.Mundlak" "Mundlak models for JSP reviewer April 2013" " "" "" "") */
	/*WAGES*/			esttab IBreceipt_CDm35  IBreceipt_CDm36  IBreceipt_CDlin_m1  IBreceipt_CDlin_m21 ///
		using "$tabdir/IBreceipt_wages"		, ${output2} keep(*JEM*) fixed replace ${alltables}  mtitles("Main" "Main+wages" "Linear" "Lin+wages")
	** END NEW TABLES
	/*WEIGHTS*/			esttab IBreceipt_CDm61  IBreceipt_CDm62  IBreceipt_CDm63  IBreceipt_CDm64  IBreceipt_CDm67    		///
		using "$tabdir/IBreceipt_CD_weights`i'"	, ${output`i'} keep(*JEM*) fixed replace ${alltables} mtitles("Main(2)>" "Wt(allwav)" "Main(3)>" "Wt(allsamp)" "Allsamp ALL" "lj_health" "<lj(allsamp)") ///
		prehead("Table 7.Weights" "" "Main(2): model 7 in Table 26 excluding occupational status, restricted to people who have responded every wave 1991-2006" "Wt(allwav): weighted version of Main(2)" ///
		"Main(3): model 7 in Table 26 exc occupational status, restricted to people who have responded at every wave 1999-2006 (including the extension samples)" "Wt(allsamp): weighted version of Main(3)" ///
		"Allsamp ALL: model 7 in Table 26 exc occupational status, using those responding in 1999 (inc extension samples) but unlike Main(3) including intermittent responderes" "" "" "")
	/*METHODS*/			esttab IBreceipt_CDm35  IBreceipt_CDm71  IBreceipt_CDm72  IBreceipt_CDm75  IBreceipt_CDm74  IBreceipt_CDm73    		///
		using "$tabdir/IBreceipt_CD_methods`i'"	, ${output`i'} keep(*JEM*) fixed replace ${alltables} mtitles("Main(2)" "No vce(robust)" "RE"	"Unstruct" "Main(2)>" "AR(1)" "XTMELOGIT>" "Crossed fx")
	/*COVARIATE LIST*/ esttab  IBreceipt_CDm35  using "$tabdir/IBreceipt_covariates`i'"	, star(+ 0.10 * 0.05 ** 0.01 *** 0.001) order(*JEM*) fixed replace ${mainlabels} not  eform b(%3.2f) pr2(%3.2f) sfmt(%4.0f %4.0f %3.0f %4.3f) varwidth(45) nodep nonum scalars("N_g Num persons" "incidence Incidence" "df_m Parameters") ///							///
		mtitles("Main") addnotes("Results exported $S_DATE using datafile version $thisfile" "Subsample was $if1") ///
		label prehead("Table 7.Covariates" "" "MODELS SHOULD BE INTERPRETED AS FOLLOWS" "Main(no status): model 7 from Table 26 excluding occupational status, listing coefficients for each covariate" "" "" "")
	/**/			}
	

	


	
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
// Subgroup analyses - done properly
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////

quietly log using "$logdir\IBreceipt_subgroups", text replace name(subgrouplog)		// This is not reported in tables, but instead stored in an additional log file



// Creating a young vs. old dummy variable
recode agegrp (1/5=0 "0_18-44") (6/10=1 "1_45+"), gen(ageB)
tab agegrp, gen(ageR)		// I can't interact sex with agegrp==9 as this is excluded from the sample, and creates problems for MARGINS

// The models
global sesvars_int		"i.maxqual c.loginc i.housing"
global demvars_int		"i.married i.nchildR i._region  bem "
local reg35	 "			IBreceipt $demvars_int $waves $hlthvars $workvars $partnervars $sesvars_int"
time
eststo m1: xtlogit 	FIBreceipt 		i.sex##(i.JEMC2t i.JEMD2t  i.JEMP2t   `reg35' ageR2-ageR8) ageR9 if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)
time
eststo m2: xtlogit 	FIBreceipt 		i.sex##(i.JEMC2t i.JEMD2t  i.JEMP2t ) `reg35' i.agegrp  		 if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)
time
eststo m3: xtlogit 	FIBreceipt 		i.ageB##(i.JEMC2t i.JEMD2t  i.JEMP2t  `reg35' i.sex) i.agegrp if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)
time
eststo m4: xtlogit 	FIBreceipt 		i.ageB##(i.JEMC2t i.JEMD2t  i.JEMP2t) `reg35' i.sex  i.agegrp if $if1 & allvars==0				, vce(robust) i(_pid) pa corr(exchangeable)
time
/* To load the estimates, load the dataset and run the globals, as above.  Then run:
	estimates clear 
	use JEM_$filename, replace
	estread * using "$dir/IBreceipt_ests", id(uniqueid) 
END ESTREAD */
estwrite * using "$dir/IBreceipt_ests", id(uniqueid) replace
/* To re-open with more memory for MARGINS
	clear
	clear matrix
	use JEM_$filename, replace
	estread * using "$dir/IBreceipt_ests", id(uniqueid) 
*/

** RESULTS For gender
estimates restore m1
	/* TO HELP WRITE THE FOLLOWING TESTPARM LINE...
	local reg35	 "			IBreceipt $demvars_int $waves $hlthvars $workvars $partnervars $sesvars_int"
	global grouptest ""
	foreach var in i.JEMC2t i.JEMD2t i.JEMP2t `reg35' i.agegrpR	{
		global grouptest "$grouptest 2.sex#`var'"
		/**/														}
	dis "$grouptest
	*/
	testparm 2.sex#i(2/3).JEMC2t 2.sex#i(2/3).JEMD2t 2.sex#i(2/3).JEMP2t 2.sex#IBreceipt 2.sex#i(2/3).married 2.sex#i(1/3).nchildR 2.sex#i(1/6 8/11)._region 			///
		2.sex#bem 2.sex#i(1992/2006).wave 2.sex#hlprba 2.sex#hlprbb 2.sex#hlprbc 2.sex#hlprbd 2.sex#hlprbe 2.sex#hlprbf 2.sex#hlprbg 2.sex#hlprbh 2.sex#hlprbi 			///
		2.sex#hlprbj 2.sex#hlprbk 2.sex#hlprbl 2.sex#hlprbm 2.sex#hlltaR 2.sex#hlltbR 2.sex#hlltcR 2.sex#hlltdR 2.sex#hospR  2.sex#ghqB 2.sex#i(1 2 4).hoursGRP 		///
		2.sex#occpenR 	2.sex#i(2/3).sector 2.sex#tempjob 2.sex#i(1/2).sme 2.sex#i(1/13 15).sic92_1A 2.sex#partnered 2.sex#sp_IBreceipt 2.sex#sp_employR 				///
		2.sex#i(1/5).maxqual 2.sex#c.loginc 2.sex#i(2/3).housing 2.sex#i(1/4 6/9).agegrp
	margins, at(sex=(1 2) JEMC2t=(1 3))  at(sex=(1 2) JEMD2t=(1 3))  at((asobs) _all) post 
		lincom   _b[1._at] - _b[2._at]
		lincom   _b[3._at] - _b[4._at]
		lincom  (_b[1._at] - _b[2._at]) - (_b[3._at] - _b[4._at])
		lincom   _b[6._at] - _b[5._at]
		lincom   _b[8._at] - _b[7._at]
		lincom  (_b[6._at] - _b[5._at]) - (_b[8._at] - _b[7._at])
estimates restore m2
	testparm 2.sex#i(2/3).JEMC2t 2.sex#i(2/3).JEMD2t 

** RESULTS For age
estimates restore m3
	testparm 1.ageB#i(2/3).JEMC2t 1.ageB#i(2/3).JEMD2t 1.ageB#i(2/3).JEMP2t 1.ageB#IBreceipt 1.ageB#i(2/3).married 1.ageB#i(1/3).nchildR 1.ageB#i(1/6 8/11)._region 			///
		1.ageB#bem 1.ageB#i(1992/2006).wave 1.ageB#hlprba 1.ageB#hlprbb 1.ageB#hlprbc 1.ageB#hlprbd 1.ageB#hlprbe 1.ageB#hlprbf 1.ageB#hlprbg 1.ageB#hlprbh 1.ageB#hlprbi 			///
		1.ageB#hlprbj 1.ageB#hlprbk 1.ageB#hlprbl 1.ageB#hlprbm 1.ageB#hlltaR 1.ageB#hlltbR 1.ageB#hlltcR 1.ageB#hlltdR 1.ageB#hospR  1.ageB#ghqB 1.ageB#i(1 2 4).hoursGRP 		///
		1.ageB#occpenR 	1.ageB#i(2/3).sector 1.ageB#tempjob 1.ageB#i(1/2).sme 1.ageB#i(1/13 15).sic92_1A 1.ageB#partnered 1.ageB#sp_IBreceipt 1.ageB#sp_employR 				///
		1.ageB#i(1/5).maxqual 1.ageB#c.loginc 1.ageB#i(2/3).housing 1.ageB#sex
	margins, at(sex=(1 2) JEMC2t=(1 3))  at(sex=(1 2) JEMD2t=(1 3))  at((asobs) _all) post 
		lincom   _b[1._at] - _b[2._at]
		lincom   _b[3._at] - _b[4._at]
		lincom  (_b[1._at] - _b[2._at]) - (_b[3._at] - _b[4._at])
		lincom   _b[6._at] - _b[5._at]
		lincom   _b[8._at] - _b[7._at]
		lincom  (_b[6._at] - _b[5._at]) - (_b[8._at] - _b[7._at])
estimates restore m4
	testparm 1.ageB#i(2/3).JEMC2t 1.ageB#i(2/3).JEMD2t  
	margins, at(sex=(1 2) JEMC2t=(1 3))  at(sex=(1 2) JEMD2t=(1 3))  at((asobs) _all) post 
		lincom   _b[1._at] - _b[2._at]
		lincom   _b[3._at] - _b[4._at]
		lincom  (_b[1._at] - _b[2._at]) - (_b[3._at] - _b[4._at])
		lincom   _b[6._at] - _b[5._at]
		lincom   _b[8._at] - _b[7._at]
		lincom  (_b[6._at] - _b[5._at]) - (_b[8._at] - _b[7._at])

log close subgrouplog




		

///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
// Mediation analyses - SLOW (30mins per 10 reps, hence 50hrs for 1000reps)
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
/*		This takes a number of changes to WII version:
			1. Replace wldIRT with IBreceipt
			2. New varlists for IBreceipt_med , wldvars and Fwldvars (IBreceipt not wldIRT)
			3. Change the program code to be with GEE not LOGIT (and preceded by capture, in case of non-convergence)
			4. Change _id to _pid
			5. Change expvars (S_T1 not strainT etc), and change the code in MARGINS in the program to reflect it
			6. Change the scalars regA-C (so that they're e(rc))
			7. Change the scalar ACCEPTREP to be regA-C==0 (not regA-C==1), and remove the D2[1,1] condition
			8. Take out the ESTTAB comparison of the restricted and full models (as don't have the same separation probs)
END */
///////////////////////////////////////////////////////

quietly log using "$logdir\IBreceipt_mediation", text replace name(IBreceipt_medlog)		// This is not reported in tables, but instead stored in an additional log file
global reps = 200


///////////////////////////////////////////////////
// Doing this for strain (rather than D-C separately)
/*
// The program 
capture program drop bbmed_IBreceipt
program define bbmed_IBreceipt, rclass
	capture matrix drop D*
	capture noisily xtlogit FIBreceipt S_T1 ${IBreceipt_med} ${med1} ${med2} if ${if1} & allvars==0, i(bs_pid) pa corr(exchangeable) iterate(100) 
			matrix D2 = e(rules)
			scalar regA = e(rc)
		margins, at(S_T1=(0 1)) at((asobs) _all) predict(mu) post 
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
			scalar overall = _b[_cons]
			scalar str_mediated = _b[2._at] - _b[1._at]
	capture noisily xtlogit FIBreceipt S_T1 ${IBreceipt_med} ${med1}             if e(sample)          , i(bs_pid) pa corr(exchangeable) iterate(100) 
			scalar regB = e(rc)
		margins, at(S_T1=(0 1)) at((asobs) _all) predict(mu) post 
			scalar str_med1only = _b[2._at] - _b[1._at]
	capture noisily xtlogit FIBreceipt S_T1 ${IBreceipt_med}                        if e(sample)          , i(bs_pid) pa corr(exchangeable) iterate(100) 
			scalar regC = e(rc)
		margins, at(S_T1=(0 1)) at((asobs) _all) predict(mu) post 
			scalar str_total 	= _b[2._at] - _b[1._at]
	return scalar incidence     = 100 * overall
	return scalar str_toteffect = 100 * (str_total)
	return scalar str_WLDeffect = 100 * (str_total - str_mediated)
	return scalar str_t1WLDonly 	= 100 * (str_med1only - str_mediated)
	return scalar str_otheffect = 100 * (str_mediated)
	return scalar acceptrep = (regA==0 & regB==0 & regC==0)	
end

// Quick checks to make sure this works, and see how the reduced varlist compares to the main model
capture drop bs_pid
	clonevar bs_pid = _pid
	quietly bbmed_IBreceipt
	return list
	esttab IBreceipt_CDm20 IBreceipt_CDm11 , ${output`i'} keep(*T? ) ${alltables} mtitles("Main(2)" "ReducedVars") 	
// Running the program - select quietly or noisily depending on whether you want to see all the output or not
capture drop bs_pid
	clonevar bs_pid = _pid
	tsset bs_pid wave
time
dis "med1 is ${med1}" _newline(1) "med2 is ${med2}"
bootstrap r(incidence) r(str_WLDeffect) r(str_t1WLDonly) r(str_otheffect) r(str_toteffect),  ///
		seed (1) reps(${reps}) cluster(_pid) idcluster(bs_pid) reject(r(acceptrep)~=1) saving($dir\bbmed_IBreceipt, replace) ///
		: bbmed_IBreceipt
	estat bootstrap, percentile bc
time


///////////////////////////////////////////////////////
// LDECOMP as a sensitivity analysis for strainT
capture drop bs_pid
	clonevar bs_pid = _pid
time
xi: ldecomp FIBreceipt ${IBreceipt_med}, direct(S_T1) indirect(${med1} ${med2}) reps(${reps}) or predpr rindirect ///
	seed (1) cluster(_pid) idcluster(bs_pid) saving($dir\ldecomp_IBreceipt, replace)

END COMMENTING OUT */
	
	
	
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
// Mediation analyses 2 - just based on demands/control (no strain)
//		Just replace the code above as follows:
//			strainT with "i.JEMC2t i.JEMD2t"
//			margins, at(strainT=(0 1)) with margins, at(JEMC2t=(3 1))
//	        anything starting str_ with con_
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////

// The program 
capture program drop bbmedALT_IBreceipt
program define bbmedALT_IBreceipt, rclass
	capture matrix drop D*
	capture noisily xtlogit FIBreceipt i.JEMC2t i.JEMD2t ${IBreceipt_med} ${med1} ${med2}  if ${if1} & allvars==0, i(bs_pid) pa corr(exchangeable) iterate(100) 
			matrix D2 = e(rules)
			scalar regA = e(rc)
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
			scalar overall = _b[_cons]
			scalar con_mediated = _b[2._at] - _b[1._at]
	capture noisily xtlogit FIBreceipt i.JEMC2t i.JEMD2t ${IBreceipt_med} 		  ${med2}  if e(sample)          , i(bs_pid) pa corr(exchangeable) iterate(100) 
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			scalar con_med2 = _b[2._at] - _b[1._at]
	capture noisily xtlogit FIBreceipt i.JEMC2t i.JEMD2t ${IBreceipt_med} ${med1}          if e(sample)          , i(bs_pid) pa corr(exchangeable) iterate(100) 
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			scalar con_med1 = _b[2._at] - _b[1._at]
	capture noisily xtlogit FIBreceipt i.JEMC2t i.JEMD2t ${IBreceipt_med}                  if e(sample)          , i(bs_pid) pa corr(exchangeable) iterate(100) 
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			scalar con_total 	= _b[2._at] - _b[1._at]
	return scalar incidence     = 100 * overall
	return scalar con_toteffect = 100 * (con_total)
	return scalar con_WLDeffect = 100 * (con_total - con_mediated)
	return scalar con_otheffect = 100 * (con_mediated)
	// Alternatve versions, introduced 13/4/2011
	return scalar con_WLDlag 	= 100 * (str_total - str_med2)						
	return scalar con_WLDbase 	= 100 * (str_total - str_med1)
	// Final
	return scalar acceptrep = (regA==0)	
end

// Quick checks to make sure this works, and see how the reduced varlist compares to the main model
capture drop bs_pid
	clonevar bs_pid = _pid
	quietly bbmedALT_IBreceipt
		return list
	estimates store bbmedALT
		esttab IBreceipt_CDm20 bbmedALT , ${output`i'} keep(*T? ) ${alltables} mtitles("Main(2)" "ReducedVars") 	
// Running the program - select quietly or noisily depending on whether you want to see all the output or not
capture drop bs_pid
	clonevar bs_pid = _pid
	tsset bs_pid wave
time
dis "med1 is ${med1}" _newline(1) "med2 is ${med2}"
bootstrap r(incidence) r(con_WLDeffect) r(con_otheffect) r(con_toteffect) r(con_WLDlag) r(con_WLDbase),  ///
		seed (1) reps(${reps}) cluster(_pid) idcluster(bs_pid) reject(r(acceptrep)~=1) saving($dir\bbmedALT_IBreceipt, replace) ///
		: bbmedALT_IBreceipt
	estat bootstrap, percentile bc
time



///////////////////////////////////////////////////////
// KHB as a sensitivity analysis for strainT
///////////////////////////////////////////////////////

			/*	Old LDECOMP syntax
			xi: ldecomp FIBreceipt i.JEMD2t ${IBreceipt_med}, direct(C_comparison) indirect(${med1} ${med2}) reps(${reps}) or predpr rindirect ///
				seed (1) cluster(_pid) idcluster(bs_pid) saving($dir\ldecomp_IBreceipt, replace)
			*/
	
khb logit FIBreceipt i.JEMD2t || ${med1} ${med2} if ${if1} & allvars==0, vce(cluster _pid) concomitant(i.JEMC2t ${IBreceipt_med}) verbose
khb logit FIBreceipt i.JEMC2t || ${med1} ${med2} if ${if1} & allvars==0, vce(cluster _pid) concomitant(i.JEMD2t ${IBreceipt_med}) verbose


	
///////////////////////////////////////////////////////
// The complicated two-wave lag version
///////////////////////////////////////////////////////
/* Diffs to the alternative paramaterization above:
	Remove the two additional models for different time points of WLD
	Replace ALT with 2LAG
	Replace {hretB_med} with {F2hretB_med}
	Replace {if1} with {iflag2}
END*/

// Preparation
global F2IBreceipt_med 	"$IBreceipt_med"	
global iflag2			"((F2age<60 & sex==2)|(F2age<65 & sex==1)) & Femploy==1"

	
// The program 
capture program drop bbmed2LAG_IBreceipt
program define bbmed2LAG_IBreceipt, rclass
	capture matrix drop D*
	capture noisily xtlogit F2IBreceipt i.JEMC2t i.JEMD2t ${F2IBreceipt_med} 		  ${med2}  if ${iflag2} & allvars==0	, i(bs_pid) pa corr(exchangeable) iterate(100) 
			scalar regA = e(rc)
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
			scalar overall = _b[_cons]
			scalar con_mediated = _b[2._at] - _b[1._at]
	capture noisily xtlogit F2IBreceipt i.JEMC2t i.JEMD2t ${F2IBreceipt_med}                   if e(sample)          		, i(bs_pid) pa corr(exchangeable) iterate(100) 
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			scalar con_total 	= _b[2._at] - _b[1._at]
	return scalar incidence     = 100 * overall
	return scalar con_toteffect = 100 * (con_total)
	return scalar con_WLDeffect = 100 * (con_total - con_mediated)
	return scalar con_otheffect = 100 * (con_mediated)
	// Final
	return scalar acceptrep = (regA==0)	
end

// Quick checks to make sure this works, and see how the reduced varlist compares to the main model
capture drop bs_pid
	clonevar bs_pid = _pid
	bbmed2LAG_IBreceipt
	return list
// Running the program - select quietly or noisily depending on whether you want to see all the output or not
tsset, clear
capture drop newid
time
dis "med1 is ${med1}" _newline(1) "med2 is ${med2}"
bootstrap r(incidence) r(con_WLDeffect) r(con_otheffect) r(con_toteffect),  ///
		seed (1) reps(${reps}) cluster(_pid) idcluster(newid) reject(r(acceptrep)~=1) saving($dir\bbmed2LAG_IBreceipt, replace) ///
		: bbmed2LAG_IBreceipt
	estat bootstrap, percentile bc
time



///////////////////////////////////////////////////////
// KHB as a sensitivity analysis for the two-lag version
///////////////////////////////////////////////////////
khb logit F2IBreceipt i.JEMD2t || ${med1} ${med2} if ${if1} & allvars==0, vce(cluster _pid) concomitant(i.JEMC2t ${F2IBreceipt_med}) verbose
khb logit F2IBreceipt i.JEMC2t || ${med1} ${med2} if ${if1} & allvars==0, vce(cluster _pid) concomitant(i.JEMD2t ${F2IBreceipt_med}) verbose



	
	
	
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
// Mediation analyses - SPECIFICTY (for nonempN)
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////

// The program 
capture program drop bbmedALT_nonemployN
program define bbmedALT_nonemployN, rclass
	capture matrix drop D*
	capture noisily xtlogit FnonemployN i.JEMC2t i.JEMD2t ${IBreceipt_med} ${med1} ${med2}  if ${if1} & allvars==0, i(bs_pid) pa corr(exchangeable) iterate(100) 
			matrix D2 = e(rules)
			scalar regA = e(rc)
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			dis in red "Next line may result in error in Stata v12 - need to replace _b[_cons] with _b[*final category*]"
			scalar overall = _b[_cons]
			scalar con_mediated = _b[2._at] - _b[1._at]
	capture noisily xtlogit FnonemployN i.JEMC2t i.JEMD2t ${IBreceipt_med} 		   ${med2}  if ${if1} & allvars==0, i(bs_pid) pa corr(exchangeable) iterate(100) 
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			scalar con_med2 = _b[2._at] - _b[1._at]
	capture noisily xtlogit FnonemployN i.JEMC2t i.JEMD2t ${IBreceipt_med} ${med1}          if ${if1} & allvars==0, i(bs_pid) pa corr(exchangeable) iterate(100) 
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			scalar con_med1 = _b[2._at] - _b[1._at]
	capture noisily xtlogit FnonemployN i.JEMC2t i.JEMD2t ${IBreceipt_med}                  if e(sample)          , i(bs_pid) pa corr(exchangeable) iterate(100) 
		margins, at(JEMC2t=(3 1)) at((asobs) _all) predict(mu) post 
			scalar con_total 	= _b[2._at] - _b[1._at]
	return scalar incidence     = 100 * overall
	return scalar con_toteffect = 100 * (con_total)
	return scalar con_WLDeffect = 100 * (con_total - con_mediated)
	return scalar con_otheffect = 100 * (con_mediated)
	// Alternatve versions, introduced 13/4/2011
	return scalar con_WLDlag 	= 100 * (con_total - con_med2)						
	return scalar con_WLDbase 	= 100 * (con_total - con_med1)
	// Final
	return scalar acceptrep = (regA==0)	
end

// Quick checks to make sure this works, and see how the reduced varlist compares to the main model
capture drop bs_pid
	clonevar bs_pid = _pid
	bbmedALT_nonemployN
		return list
// Running the program - select quietly or noisily depending on whether you want to see all the output or not
tsset, clear
capture drop newid
time
dis "med1 is ${med1}" _newline(1) "med2 is ${med2}"
bootstrap r(incidence) r(con_WLDeffect) r(con_otheffect) r(con_toteffect) r(con_WLDlag) r(con_WLDbase),  ///
		seed (1) reps(${reps}) cluster(_pid) idcluster(newid) reject(r(acceptrep)~=1) saving($dir\bbmedALT_nonemployN, replace) ///
		: bbmedALT_nonemployN
	estat bootstrap, percentile bc
time


///////////////////////////////////////////////////////
// KHB as a sensitivity analysis 
///////////////////////////////////////////////////////
khb logit FnonemployN i.JEMD2t || ${med1} ${med2} if ${if1} & allvars==0, vce(cluster _pid) concomitant(i.JEMC2t ${IBreceipt_med}) verbose
khb logit FnonemployN i.JEMC2t || ${med1} ${med2} if ${if1} & allvars==0, vce(cluster _pid) concomitant(i.JEMD2t ${IBreceipt_med}) verbose

	
	
///////////////////////////////////////////////////////
// ENDING	
///////////////////////////////////////////////////////
quietly log close IBreceipt_medlog	





///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
// Postestimation
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////


///////////////////////////////////////////////////////
// Goodness-of-fit
///////////////////////////////////////////////////////
quietly log using "$logdir\IBreceipt_gof", text replace name(IBreceipt_goflog)		// This is not reported in tables, but instead stored in an additional log file

capture drop xb*
estimates restore IBreceipt_CDm20
predict xb if e(sample), xb
predict estp if e(sample)
*lowess FIBreceipt xb
gen xb2 = xb^2
xtile xb_cats = xb, nquant(10) 
xtlogit FIBreceipt xb xb2 if e(sample), i(_pid) pa corr(exchangeable) 
xtlogit FIBreceipt xb i.xb_cats if e(sample), i(_pid) pa corr(exchangeable) 
testparm i(2/10).xb_cats
tabstat FIBreceipt estp, statistics (mean sum) by(xb_cats)

// Creating a latent health index and using a squared term to improve fit
ologit hlstat $hlthvars if $if1
predict latentsrh, xb
	gen nohlthprbs = (latentsrh<=0) 
clonevar agegrp2 = agegrp
	replace agegrp2 = . if agegrp==10
	global demvarsMFP			"i.agegrp2 i.sex i.married i.nchildR i._region  bem"
tab wave, gen(waveY)
local regcheck "IBreceipt $demvarsMFP $workvars $partnervars $sesvars_nost waveY2-waveY8 waveY10-waveY13 waveY15-waveY16"
eststo mfp: xi: mfp, xorder(n) select(1) df(1, latentsrh: 4): xtgee FIBreceipt nohlthprbs latentsrh i.JEMC2t i.JEMD2t `regcheck', family(binomial) link(logit)	vce(robust) i(_pid) corr(exchangeable)
		margins, at(JEMC2t=(1 3)) at(JEMD2t=(1 3)) at((asobs) _all) predict(mu) post
		lincom   _b[1._at] - _b[2._at]
		lincom   _b[4._at] - _b[3._at]
predict xbMFP if e(sample), xb
predict estpMFP if e(sample)
gen xbMFP2 = xbMFP^2
xtile xbMFP_cats = xbMFP, nquant(10)		
xtlogit FIBreceipt xbMFP xbMFP2 if e(sample), i(_pid) pa corr(exchangeable) 
xtlogit FIBreceipt xbMFP i.xbMFP_cats if e(sample), i(_pid) pa corr(exchangeable) 
testparm i(2/10).xbMFP_cats
tabstat FIBreceipt estpMFP, by(xbMFP_cats) statistics(mean sum)
		
quietly log close IBreceipt_goflog




///////////////////////////////////////////////////////
// Effect of change in control (and demands) over time
///////////////////////////////////////////////////////
quietly log using "$logdir\IBreceipt_effectsize", text replace name(IBreceipt_effectlog)		// This is not reported in tables, but instead stored in an additional log file

preserve
	clear
	insheet using "$JEMdir/JEM_fixed_cleaned.csv", comma case
	keep if var1=="order"
	sum C2 if code1==53
		scalar C1992 = r(mean)
	sum C2 if code1==57
		scalar C2006 = r(mean)
	sum D2 if code1==53
		scalar D1992 = r(mean)
	sum D2 if code1==57
		scalar D2006 = r(mean)
restore
dis "C2 1992:" C1992 _col(20) "C2 2006:" C2006 _col(40) "D2 1992:" D1992 _col(60) "D2 2006:" D2006

// The estimated effect of the 1992-2006 change
estimates restore IBreceipt_CDlin_m1
	sum C_JEM1a if e(sample) & wave==2006
	global Cmean     = r(mean)
	global Cscenario = r(mean) + C1992
	margins, at(wave=2006) at(wave=2006 C_JEM1a=(${Cmean} ${Cscenario})) post
	lincom _b[3._at] - _b[2._at]
preserve
	estimates restore IBreceipt_CDlin_m1
	replace C_JEM1a = C_JEM1a + C1992
	margins, at(wave=2006)
restore

* And changing demands as well, in the strain model
estimates restore IBreceipt_CDlin_m2
	sum D_JEM1a if e(sample) & wave==2006
	global Dmean     = r(mean)
	global Dscenario = r(mean) + D1992
	margins, at(wave==2006) at(wave=2006 C_JEM1a=${Cmean}     D_JEM1a=${Dmean})	/// 
							at(wave=2006 C_JEM1a=${Cscenario} D_JEM1a=${Dscenario}) post
	lincom _b[3._at] - _b[2._at]
preserve
	estimates restore IBreceipt_CDlin_m2
	replace C_JEM1a = C_JEM1a + C1992
	replace D_JEM1a = D_JEM1a + D1992
	margins, at(wave=2006)
restore


quietly log close IBreceipt_effectlog




